'use strict';

var index = require('./index-BTBT6v3v.js');

const cTabItemCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-tab-item-padding:var(--c-tab-item-padding, 16px 0 0 0);display:block;min-width:100%;user-select:none}:host>div{padding:var(--_c-tab-item-padding)}:host([active=true]){height:calc-size(auto, size);user-select:auto}:host([active=false])>div{display:none}:host([disabled=true]){min-width:0;width:0;overflow:hidden}";

const CTabItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.contentChange = index.createEvent(this, "contentChange", 7);
        this.active = false;
    }
    componentDidLoad() {
        this._resizeObserver = new ResizeObserver(() => {
            this._handleResize();
        });
        this._resizeObserver.observe(this.el.shadowRoot.querySelector('div'));
    }
    disconnectedCallback() {
        var _a;
        (_a = this._resizeObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    }
    _handleResize() {
        this.contentChange.emit();
    }
    render() {
        const attributes = {
            role: 'tabpanel',
        };
        return (index.h(index.Host, Object.assign({ key: 'cb97fdbbc89518e790e7e34216b3017f1331cfa2' }, attributes), index.h("div", { key: '435a5e7399c5d9ac686eccee700d750282c39ab3', class: { active: this.active } }, index.h("slot", { key: 'fff8a0898cc549ad24cb430bcb27f0625ccba803' }))));
    }
    get el() { return index.getElement(this); }
};
CTabItem.style = cTabItemCss;

exports.c_tab_item = CTabItem;
//# sourceMappingURL=c-tab-item.entry.cjs.js.map

//# sourceMappingURL=c-tab-item.cjs.entry.js.map