'use strict';

var index = require('./index-BTBT6v3v.js');
var mdi = require('./mdi-D4fs5l1W.js');

const cTagCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-tag-background-color-active-hover:var(--c-tag-background-color-active-hover, var(--c-primary-400));--_c-tag-background-color-active:var(--c-tag-background-color-active, var(--_c-tag-text-color));--_c-tag-background-color-hover:var(--c-tag-background-color-hover, rgba(var(--c-primary-rgb), 0.1));--_c-tag-background-color:var(--c-tag-background-color, var(--c-transparent));--_c-tag-badge-background-color-active:var(--c-tag-badge-background-color-active, var(--_c-tag-text-color-active));--_c-tag-badge-background-color:var(--c-tag-badge-background-color, var(--_c-tag-background-color-active));--_c-tag-badge-text-color-active:var(--c-tag-badge-text-color-active, var(--_c-tag-text-color));--_c-tag-badge-text-color:var(--c-tag-badge-text-color, var(--_c-tag-text-color-active));--_c-tag-border-color:var(--c-tag-border-color, var(--_c-tag-text-color));--_c-tag-text-color-active:var(--c-tag-text-color-active, var(--c-white));--_c-tag-text-color:var(--c-tag-text-color, var(--c-primary-600));--_c-tag-border-radius:var(--c-tag-border-radius, 999px);--c-tag-min-height:28px;--c-tag-padding-y:4px;--c-tag-padding-x:12px;--c-tag-padding:var(--c-tag-padding-y) var(--c-tag-padding-x);--c-tag-badge-size:20px;--c-tag-icon-button-offset:0;--c-icon-button-outline-offset:0;border-radius:var(--_c-tag-border-radius)}:host>div{align-items:center;background:var(--_c-tag-background-color);border-radius:var(--_c-tag-border-radius);box-shadow:inset 0 0 0 1px var(--_c-tag-border-color);color:var(--_c-tag-text-color);cursor:pointer;display:inline-flex;font-size:14px;font-weight:400;gap:8px;justify-content:center;line-height:1;min-height:var(--c-tag-min-height);min-width:48px;padding:var(--c-tag-padding);transform:translate3d(0, 0, 0);transition:background-color 0.2s ease;user-select:none}:host c-icon-button{--_c-icon-button-height:20px;--_c-icon-button-width:20px;--_c-icon-button-background-color:var(--c-transparent);--_c-icon-button-text-color:var(--_c-tag-text-color);--_c-icon-button-background-hover:var(--_c-tag-background-color-active);margin:var(--c-tag-icon-button-offset)}:host c-icon-button:hover{--_c-icon-button-text-color:var(--_c-tag-text-color-active)}:host(:host:hover)>div{background-color:var(--_c-tag-background-color-hover)}:host>div[data-badge]{padding-left:var(--c-tag-padding-y)}:host>div[data-badge]::before{content:attr(data-badge);background-color:var(--_c-tag-badge-background-color);border-radius:calc(var(--_c-tag-border-radius) - var(--c-tag-padding-y));color:var(--_c-tag-badge-text-color);display:inline-grid;font-size:12px;height:var(--c-tag-badge-size);line-height:1;min-width:var(--c-tag-badge-size);padding:0 4px;place-content:center}:host(.c-tag--active)>div[data-badge]::before{background-color:var(--_c-tag-badge-background-color-active);color:var(--_c-tag-badge-text-color-active)}:host(.c-tag--closeable)>div{padding-right:var(--c-tag-padding-y)}:host(.c-tag--block)>div{flex-basis:100%}:host(.c-tag--fit)>div{flex-grow:1}:host(.c-tag--flat)>div{pointer-events:none}:host(.c-tag--small){--c-tag-min-height:20px;--c-tag-padding-y:2px;--c-tag-padding-x:8px;--c-tag-badge-size:16px;--c-tag-icon-button-offset:1px 0 0}:host(.c-tag--small) c-icon-button{--_c-icon-button-height:16px;--_c-icon-button-width:16px}:host([data-badge].c-tag--small)>div{padding-left:var(--c-tag-padding-y)}:host(:focus){outline:none}:host(:focus-visible){outline:2px var(--_c-tag-border-color) solid;outline-offset:2px;z-index:1}:host(.c-tag--active)>div{background:var(--_c-tag-background-color-active);color:var(--_c-tag-text-color-active);--c-icon-button-outline-color:var(--c-white)}:host(.c-tag--active .c-tag__badge)>div{background:var(--_c-tag-badge-background-color-active);color:var(--_c-tag-badge-text-color-active)}:host(.c-tag--active:hover)>div{background:var(--_c-tag-background-color-active-hover);box-shadow:none;--_c-icon-button-text-color:var(--_c-tag-text-color);--_c-icon-button-background-color:var(--_c-tag-text-color-active);--_c-icon-button-background-color-hover:var(--_c-tag-background-color-active)}:host(.c-tag--active) c-icon-button{--_c-icon-button-text-color:var(--_c-tag-text-color-active);--_c-icon-button-background-color-hover:var(--_c-tag-background-color-active)}";

const CTag = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close", 7);
        this.active = false;
        this.block = false;
        this.fit = false;
        this.flat = false;
        this.closeable = false;
        this.badge = null;
        this.size = 'default';
    }
    _onClose() {
        this.close.emit();
    }
    render() {
        const hasBadge = !!this.badge || this.badge === 0;
        const hostClasses = {
            'c-tag': true,
            'c-tag--closeable': this.closeable,
            'c-tag--badge': hasBadge,
            'c-tag--active': this.active,
            'c-tag--block': this.block,
            'c-tag--fit': this.fit,
            'c-tag--flat': this.flat,
            'c-tag--small': this.size === 'small',
        };
        const hostParams = Object.assign({ tabindex: this.flat ? -1 : 0 }, (!this.flat && {
            role: 'button',
        }));
        return (index.h(index.Host, Object.assign({ key: '652b7b74c86d98e1a4878944883627e1d17bef2b' }, hostParams, { class: hostClasses }), index.h("div", Object.assign({ key: '30771323df80cadbcd69cea6c4ddb59047dd4090' }, (hasBadge ? { 'data-badge': this.badge } : {})), index.h("slot", { key: '1b70cf6dd9c0f495021e29f47577cbc6028dc7a4' }), this.closeable && (index.h("c-icon-button", { key: '1ddbcd81e0204345c126b2b73af188abe01d4d5d', onClick: () => this._onClose() }, index.h("c-icon", { key: '0d50551aae9fd49893c1ae7a703ca772fdaa581e', size: 16, path: mdi.mdiClose }))))));
    }
};
CTag.style = cTagCss;

exports.c_tag = CTag;
//# sourceMappingURL=c-tag.entry.cjs.js.map

//# sourceMappingURL=c-tag.cjs.entry.js.map