import { mdiAlert, mdiCloseCircle, mdiCheckCircle, mdiInformation, } from "@mdi/js";
import { Host, h } from "@stencil/core";
export class CAlert {
    constructor() {
        this._icons = {
            warning: mdiAlert,
            error: mdiCloseCircle,
            success: mdiCheckCircle,
            info: mdiInformation,
        };
    }
    render() {
        const classes = Object.assign({ 'c-alert': true }, (!!this.type && { [`c-alert--${this.type}`]: true }));
        return (h(Host, { key: '0482a87b1be3c3f0f1bf4947d66156ea05804b1b' }, h("div", { key: 'f8c1fe4db0759447256e4179db6174476b18551f', class: classes }, !!this.type && (h("svg", { key: '1a2d83007ebc97ca6e3e49055065ce7af705b588', width: "22", height: "22", viewBox: "0 0 24 24" }, h("path", { key: 'a1ea5ec0302045d8d0833bc0dc1b740d0340d0f4', d: this._icons[this.type] }))), h("div", { key: 'd5722cc91b636efc9fe166fd41d29bcc6f1344cb', class: "c-alert__content" }, h("slot", { key: 'f9fda967fe8adb0941bb22da2b29a5bcde77d295', name: "title" }), h("slot", { key: '979334753f81f8f4905230c0192283e01bbcb361' })))));
    }
    static get is() { return "c-alert"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-alert.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-alert.css"]
        };
    }
    static get properties() {
        return {
            "type": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "CAlertType",
                    "resolved": "CAlertType.Error | CAlertType.Info | CAlertType.Success | CAlertType.Warning",
                    "references": {
                        "CAlertType": {
                            "location": "import",
                            "path": "../../types",
                            "id": "src/types/index.ts::CAlertType"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Type of the alert"
                },
                "getter": false,
                "setter": false,
                "attribute": "type",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=c-alert.js.map
