import { h } from "@stencil/core";
export class CCardTitle {
    constructor() {
        this._slotHasContent = false;
        this._isWrapped = false;
    }
    _handleResize() {
        if (!this._headerElement || !this._actionsElement)
            return;
        this._isWrapped =
            this._headerElement.getBoundingClientRect().top <
                this._actionsElement.getBoundingClientRect().top;
        this._wrapperElement.classList.toggle('c-card-title--wrapped', this._isWrapped);
    }
    componentWillLoad() {
        this._slotHasContent = !!this.hostElement.querySelector('[slot="actions"]');
    }
    componentDidLoad() {
        this._resizeObserver = new ResizeObserver(() => {
            this._handleResize();
        });
        this._resizeObserver.observe(this.hostElement);
    }
    disconnectedCallback() {
        var _a;
        (_a = this._resizeObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    }
    render() {
        const classes = {
            'c-card-title': true,
            'c-card-title--actions': this._slotHasContent,
        };
        return (h("header", { key: '6b04a629aedb1b4ce20a2b69d8dc368136dec145', class: classes, ref: (el) => (this._wrapperElement = el) }, h("div", { key: '1b8692120812342e0c8e9c958e35f1b38986663a', class: "c-card-title__header", ref: (el) => (this._headerElement = el) }, h("p", { key: '434a56c1688b75ca2255fe32221093e5e07c0cad' }, h("slot", { key: 'e2b95da5d429b5db8884178aaeea0ea5dade84f1' })), h("div", { key: 'dec81bab9565102d5864e29ebb6c5a5482256084', class: "c-card-title__underline" })), this._slotHasContent && (h("div", { key: '590b526965be76062c687251b7ad952ae8d8de33', class: "c-card-title__actions", ref: (el) => (this._actionsElement = el) }, h("slot", { key: '6f8cd9bb5f927c37ad7ba9c28110421b73cda137', name: "actions" })))));
    }
    static get is() { return "c-card-title"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-card-title.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-card-title.css"]
        };
    }
    static get elementRef() { return "hostElement"; }
}
//# sourceMappingURL=c-card-title.js.map
