import { test, expect } from "@playwright/test";
test.beforeEach(async ({}, testInfo) => {
    testInfo.snapshotSuffix = '';
});
test('Default', async ({ page }) => {
    await page.goto('http://localhost:4200/c-data-table');
    const table = page.locator('app-example[name="basic"] c-data-table').first();
    await expect(table).toHaveScreenshot();
});
test('Row selection', async ({ page }) => {
    await page.goto('http://localhost:4200/c-data-table');
    const table = page
        .locator('app-example[name="complex"] c-data-table')
        .first();
    await table.scrollIntoViewIfNeeded();
    await page
        .getByTitle('Complex example')
        .getByText('Items per page: 10')
        .click();
    await page.getByRole('menuitem', { name: '5', exact: true }).click();
    await table.scrollIntoViewIfNeeded();
    await table.locator('c-checkbox').first().click();
    await expect(table).toHaveScreenshot();
    await table.locator('c-checkbox').first().click();
    const checkbox = table.locator('c-checkbox').nth(1);
    await checkbox.click();
    await expect(table).toHaveScreenshot();
    await checkbox.click();
    await expect(table).toHaveScreenshot();
});
//# sourceMappingURL=c-data-table.visual.js.map
