import { Host, h } from "@stencil/core";
export class CIcon {
    constructor() {
        this.size = 24;
        this.color = 'currentColor';
    }
    componentDidLoad() {
        this._pathElement.setAttribute('d', this.host.dataset.path);
    }
    render() {
        return (h(Host, { key: 'aedb1cb8be1da8bb924849f82431c080784d84a9', style: {
                '--_c-icon-size': `${this.size}px`,
                '--_c-icon-default-color': this.color,
            }, "data-path": this.path }, h("svg", { key: '66ef058d96677566051d3f2057c5b83b932a74be', viewBox: "0 0 24 24" }, h("path", { key: '54798fa9bc0be6818bfedc1e5cbd5a5afa283c40', ref: (el) => (this._pathElement = el) }))));
    }
    static get is() { return "c-icon"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-icon.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-icon.css"]
        };
    }
    static get properties() {
        return {
            "path": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Svg path d attribute value"
                },
                "getter": false,
                "setter": false,
                "attribute": "path",
                "reflect": false
            },
            "size": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Icon size in pixels"
                },
                "getter": false,
                "setter": false,
                "attribute": "size",
                "reflect": false,
                "defaultValue": "24"
            },
            "color": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Fill color"
                },
                "getter": false,
                "setter": false,
                "attribute": "color",
                "reflect": false,
                "defaultValue": "'currentColor'"
            }
        };
    }
    static get elementRef() { return "host"; }
}
//# sourceMappingURL=c-icon.js.map
