import { h } from "@stencil/core";
export class CLink {
    constructor() {
        this.href = null;
        this.underline = false;
        this.target = null;
        this.weight = '600';
    }
    render() {
        const classList = {
            underline: this.underline,
        };
        const style = {
            fontWeight: this.weight.toString(),
        };
        return (h("a", { key: '9742cfed25780b2e32f68e27995bc320bf14670c', class: classList, href: this.href, target: this.target, style: style }, h("slot", { key: '7e0889ba6a07c51353666bd31beea9441b899dcf' })));
    }
    static get is() { return "c-link"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-link.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-link.css"]
        };
    }
    static get properties() {
        return {
            "href": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Url of link"
                },
                "getter": false,
                "setter": false,
                "attribute": "href",
                "reflect": false,
                "defaultValue": "null"
            },
            "underline": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Display line under the link"
                },
                "getter": false,
                "setter": false,
                "attribute": "underline",
                "reflect": false,
                "defaultValue": "false"
            },
            "target": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "regular target attribute of a hyperlink"
                },
                "getter": false,
                "setter": false,
                "attribute": "target",
                "reflect": false,
                "defaultValue": "null"
            },
            "weight": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Customisable font weight"
                },
                "getter": false,
                "setter": false,
                "attribute": "weight",
                "reflect": false,
                "defaultValue": "'600'"
            }
        };
    }
}
//# sourceMappingURL=c-link.js.map
