import { Host, h } from "@stencil/core";
export class CLoader {
    constructor() {
        this.contentdelay = 0;
        this.hide = false;
        this.size = 48;
        this.width = 4;
    }
    onElementHide(hide) {
        requestAnimationFrame(() => this.el.classList.toggle('active', !hide));
    }
    componentDidLoad() {
        requestAnimationFrame(() => this.el.classList.toggle('active', !this.hide));
    }
    render() {
        const slotHasContent = !!this.el.childNodes.length;
        const styles = {
            '--c-loader-size': `${this.size}px`,
        };
        return (h(Host, { key: 'bde540ceca008fe45795b63e674f1623f66c7053' }, h("div", { key: '04de4a4fd2e4212f78bb2619f86cb10ddc288f45', class: "c-loader", style: styles }, h("c-spinner", { key: '589bc501d87d05cf2b598a210435da27919e9c8a', color: "var(--_c-loader-color)", size: this.size, width: this.width }), slotHasContent && (h("div", { key: '274549b5385c5e6733236db4601f6e6842584632', class: "c-loader__slot", style: { 'animation-delay': `${this.contentdelay}s` } }, h("slot", { key: '41940b173519e8a671349ea8e9067b94beba7fb1' }))))));
    }
    static get is() { return "c-loader"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-loader.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-loader.css"]
        };
    }
    static get properties() {
        return {
            "contentdelay": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Delay in seconds of showing the contents in the slot of the loader"
                },
                "getter": false,
                "setter": false,
                "attribute": "contentdelay",
                "reflect": false,
                "defaultValue": "0"
            },
            "hide": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Hide the loader"
                },
                "getter": false,
                "setter": false,
                "attribute": "hide",
                "reflect": false,
                "defaultValue": "false"
            },
            "size": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Size of the loader"
                },
                "getter": false,
                "setter": false,
                "attribute": "size",
                "reflect": false,
                "defaultValue": "48"
            },
            "width": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Width of the loader"
                },
                "getter": false,
                "setter": false,
                "attribute": "width",
                "reflect": false,
                "defaultValue": "4"
            }
        };
    }
    static get elementRef() { return "el"; }
    static get watchers() {
        return [{
                "propName": "hide",
                "methodName": "onElementHide"
            }];
    }
}
//# sourceMappingURL=c-loader.js.map
