import { Host, h } from "@stencil/core";
export class CPage {
    constructor() {
        this.scrollIndicator = false;
    }
    _onScroll() {
        if (!this.scrollIndicator)
            return;
        const scrollTop = this.el.scrollTop;
        const height = this.el.scrollHeight - this.el.clientHeight;
        const scrolled = (scrollTop / height) * 100;
        this._scrollIndicator.style.width = scrolled + '%';
    }
    componentDidLoad() {
        this.el.onscroll = this._onScroll.bind(this);
    }
    render() {
        return (h(Host, { key: '64a48abe5194fc8e9a81fc612dc73cf81f37d81e' }, this.scrollIndicator && (h("div", { key: 'fb7bc3775164bae600d304ec7b69bd5318cc2b5c', ref: (el) => (this._scrollIndicator = el), class: "scroll-indicator" })), h("div", { key: '048dcd8262ecff37e84db36288cd30821468fd94', class: "c-page__container" }, h("slot", { key: '87efc0f8bdf6575136b0f78e6a366ec1e548a3e4' })), h("slot", { key: '8daf870130fac624434a45cb220105f40a69f5ae', name: "footer" })));
    }
    static get is() { return "c-page"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-page.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-page.css"]
        };
    }
    static get properties() {
        return {
            "scrollIndicator": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Display scroll indicator"
                },
                "getter": false,
                "setter": false,
                "attribute": "scroll-indicator",
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get elementRef() { return "el"; }
}
//# sourceMappingURL=c-page.js.map
