import { Host, h } from "@stencil/core";
export class CSpinner {
    constructor() {
        this.color = 'var(--c-primary-600)';
        this.size = 24;
        this.width = 2;
    }
    render() {
        const iconParams = {
            cx: this.size / 2,
            cy: this.size / 2,
            r: this.size / 2 - 2,
        };
        const style = {
            '--c-size': `${this.size}px`,
            '--c-width': `${this.width}px`,
            '--c-color': this.color,
        };
        return (h(Host, { key: 'efe40e6b92dda652ea62cc2fe740bd1eb55c0d45', class: "c-spinner", style: style }, h("svg", { key: '2b3c0b6ddd22670947f5de8cb9079cc250c9b19a' }, h("circle", Object.assign({ key: '5d20ffa28666b2741631e77d367a08cfeb9c2beb' }, iconParams)))));
    }
    static get is() { return "c-spinner"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-spinner.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-spinner.css"]
        };
    }
    static get properties() {
        return {
            "color": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Color of the spinner"
                },
                "getter": false,
                "setter": false,
                "attribute": "color",
                "reflect": false,
                "defaultValue": "'var(--c-primary-600)'"
            },
            "size": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Size of the spinner"
                },
                "getter": false,
                "setter": false,
                "attribute": "size",
                "reflect": false,
                "defaultValue": "24"
            },
            "width": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Width of the spinner"
                },
                "getter": false,
                "setter": false,
                "attribute": "width",
                "reflect": false,
                "defaultValue": "2"
            }
        };
    }
}
//# sourceMappingURL=c-spinner.js.map
