import { h, Host } from "@stencil/core";
export class CSubNavigationItem {
    constructor() {
        this.focusable = false;
        this.target = null;
        this.loading = false;
    }
    _redirect(event) {
        if ((event instanceof KeyboardEvent && (event === null || event === void 0 ? void 0 : event.key) === 'Enter') ||
            event instanceof MouseEvent ||
            event instanceof PointerEvent) {
            event.stopPropagation();
            const sidenav = document.querySelector('c-side-navigation');
            sidenav.menuVisible = false;
            if (this.href) {
                if (this.target) {
                    window.open(this.href, this.target);
                }
                else {
                    window.location.href = this.href;
                }
            }
        }
    }
    render() {
        const a11y = {
            tabindex: this.focusable ? '0' : '-1',
            role: 'menuitem',
        };
        if (this.active) {
            a11y['aria-current'] = 'page';
        }
        return (h(Host, Object.assign({ key: '7bcb5b48a0708791cfecb6eb74b7d032094b82f1' }, a11y, { class: { active: this.active }, onClick: (e) => this._redirect(e), onKeyDown: (e) => this._redirect(e) }), h("div", { key: '6d5573a8c1abf9a034a533a37e7cc5f7bd052ee9', class: "c-sub-navigation-item__wrapper" }, h("div", { key: 'd4d925ff49e1f5ae59bbc4889581575befe28b0c', class: "c-sub-navigation-item" }, h("div", { key: '9cb1cf4adf966e68e77a5cf8963ce6b466779d05', class: "c-sub-navigation-item__content" }, h("div", { key: '22b5c70461cdf1ee925b309bfd54c46e22df9c2a', class: "c-sub-navigation-item__slot" }, h("slot", { key: 'c825be38425afb8fd0c81c896953e766edb6edbd' })), this.active && (h("span", { key: '3e2df9eaba4a255e91d854a453f2748f2b9ecd3d', class: "visuallyhidden" }, ", Current page"))), h("c-loader", { key: '2490254c91b820b3b52a19c81b5894c8fd218296', size: 32, hide: !this.loading, style: { pointerEvents: 'none' } })))));
    }
    static get is() { return "c-sub-navigation-item"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-sub-navigation-item.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-sub-navigation-item.css"]
        };
    }
    static get properties() {
        return {
            "active": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Active state"
                },
                "getter": false,
                "setter": false,
                "attribute": "active",
                "reflect": false
            },
            "focusable": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Element is visible and focusable"
                },
                "getter": false,
                "setter": false,
                "attribute": "focusable",
                "reflect": false,
                "defaultValue": "false"
            },
            "href": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Link url"
                },
                "getter": false,
                "setter": false,
                "attribute": "href",
                "reflect": false
            },
            "target": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Link target"
                },
                "getter": false,
                "setter": false,
                "attribute": "target",
                "reflect": false,
                "defaultValue": "null"
            },
            "loading": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Loading state"
                },
                "getter": false,
                "setter": false,
                "attribute": "loading",
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get elementRef() { return "element"; }
}
//# sourceMappingURL=c-sub-navigation-item.js.map
