import { Host, h, } from "@stencil/core";
export class CTabItem {
    constructor() {
        this.active = false;
    }
    componentDidLoad() {
        this._resizeObserver = new ResizeObserver(() => {
            this._handleResize();
        });
        this._resizeObserver.observe(this.el.shadowRoot.querySelector('div'));
    }
    disconnectedCallback() {
        var _a;
        (_a = this._resizeObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    }
    _handleResize() {
        this.contentChange.emit();
    }
    render() {
        const attributes = {
            role: 'tabpanel',
        };
        return (h(Host, Object.assign({ key: 'cb97fdbbc89518e790e7e34216b3017f1331cfa2' }, attributes), h("div", { key: '435a5e7399c5d9ac686eccee700d750282c39ab3', class: { active: this.active } }, h("slot", { key: 'fff8a0898cc549ad24cb430bcb27f0625ccba803' }))));
    }
    static get is() { return "c-tab-item"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-tab-item.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-tab-item.css"]
        };
    }
    static get properties() {
        return {
            "value": {
                "type": "any",
                "mutable": false,
                "complexType": {
                    "original": "number | string",
                    "resolved": "number | string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Tab value"
                },
                "getter": false,
                "setter": false,
                "attribute": "value",
                "reflect": false
            },
            "active": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "private",
                            "text": undefined
                        }],
                    "text": "Active"
                },
                "getter": false,
                "setter": false,
                "attribute": "active",
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
    static get events() {
        return [{
                "method": "contentChange",
                "name": "contentChange",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "Emit changes to the parent"
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
    static get elementRef() { return "el"; }
}
//# sourceMappingURL=c-tab-item.js.map
