import { mdiClose } from "@mdi/js";
import { Host, h } from "@stencil/core";
export class CTag {
    constructor() {
        this.active = false;
        this.block = false;
        this.fit = false;
        this.flat = false;
        this.closeable = false;
        this.badge = null;
        this.size = 'default';
    }
    _onClose() {
        this.close.emit();
    }
    render() {
        const hasBadge = !!this.badge || this.badge === 0;
        const hostClasses = {
            'c-tag': true,
            'c-tag--closeable': this.closeable,
            'c-tag--badge': hasBadge,
            'c-tag--active': this.active,
            'c-tag--block': this.block,
            'c-tag--fit': this.fit,
            'c-tag--flat': this.flat,
            'c-tag--small': this.size === 'small',
        };
        const hostParams = Object.assign({ tabindex: this.flat ? -1 : 0 }, (!this.flat && {
            role: 'button',
        }));
        return (h(Host, Object.assign({ key: '652b7b74c86d98e1a4878944883627e1d17bef2b' }, hostParams, { class: hostClasses }), h("div", Object.assign({ key: '30771323df80cadbcd69cea6c4ddb59047dd4090' }, (hasBadge ? { 'data-badge': this.badge } : {})), h("slot", { key: '1b70cf6dd9c0f495021e29f47577cbc6028dc7a4' }), this.closeable && (h("c-icon-button", { key: '1ddbcd81e0204345c126b2b73af188abe01d4d5d', onClick: () => this._onClose() }, h("c-icon", { key: '0d50551aae9fd49893c1ae7a703ca772fdaa581e', size: 16, path: mdiClose }))))));
    }
    static get is() { return "c-tag"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["c-tag.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["c-tag.css"]
        };
    }
    static get properties() {
        return {
            "active": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Mark tag as active"
                },
                "getter": false,
                "setter": false,
                "attribute": "active",
                "reflect": false,
                "defaultValue": "false"
            },
            "block": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Stretch to fill the container row"
                },
                "getter": false,
                "setter": false,
                "attribute": "block",
                "reflect": false,
                "defaultValue": "false"
            },
            "fit": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Stretch to fill the container"
                },
                "getter": false,
                "setter": false,
                "attribute": "fit",
                "reflect": false,
                "defaultValue": "false"
            },
            "flat": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Remove the hover effect"
                },
                "getter": false,
                "setter": false,
                "attribute": "flat",
                "reflect": false,
                "defaultValue": "false"
            },
            "closeable": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Mark tag as closeable"
                },
                "getter": false,
                "setter": false,
                "attribute": "closeable",
                "reflect": false,
                "defaultValue": "false"
            },
            "badge": {
                "type": "any",
                "mutable": false,
                "complexType": {
                    "original": "string | number",
                    "resolved": "number | string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Display an optional badge at the start of the tag"
                },
                "getter": false,
                "setter": false,
                "attribute": "badge",
                "reflect": false,
                "defaultValue": "null"
            },
            "size": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "'default' | 'small'",
                    "resolved": "\"default\" | \"small\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Size of the tag"
                },
                "getter": false,
                "setter": false,
                "attribute": "size",
                "reflect": false,
                "defaultValue": "'default'"
            }
        };
    }
    static get events() {
        return [{
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": "Emit close event on close icon click"
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=c-tag.js.map
