import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';
import { m as mdiInformation, h as mdiCheckCircle, d as mdiCloseCircle, a as mdiAlert } from './p-Bd7jq7MS.js';

const cAlertCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}.c-alert{--c-alert-color:var(--c-primary-600);display:grid;gap:16px;grid-template-columns:1fr;color:var(--c-alert-color);border:2px solid currentColor;border-left-width:12px;border-radius:6px;padding:12px}.c-alert--info,.c-alert--error,.c-alert--success,.c-alert--warning{grid-template-columns:auto 1fr}.c-alert--info{--c-alert-color:var(--c-info-600)}.c-alert--error{--c-alert-color:var(--c-error-600)}.c-alert--success{--c-alert-color:var(--c-success-600)}.c-alert--warning{--c-alert-color:var(--c-warning-600)}.c-alert__content{color:rgba(0, 0, 0, 0.87);display:grid;align-items:center;grid-template-columns:1fr;gap:8px}svg{fill:currentColor}::slotted(*[slot=title]){margin:0 !important;font-size:18px;font-weight:600;line-height:24px}";

const CAlert$1 = proxyCustomElement(class CAlert extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this._icons = {
            warning: mdiAlert,
            error: mdiCloseCircle,
            success: mdiCheckCircle,
            info: mdiInformation,
        };
    }
    render() {
        const classes = Object.assign({ 'c-alert': true }, (!!this.type && { [`c-alert--${this.type}`]: true }));
        return (h(Host, { key: '0482a87b1be3c3f0f1bf4947d66156ea05804b1b' }, h("div", { key: 'f8c1fe4db0759447256e4179db6174476b18551f', class: classes }, !!this.type && (h("svg", { key: '1a2d83007ebc97ca6e3e49055065ce7af705b588', width: "22", height: "22", viewBox: "0 0 24 24" }, h("path", { key: 'a1ea5ec0302045d8d0833bc0dc1b740d0340d0f4', d: this._icons[this.type] }))), h("div", { key: 'd5722cc91b636efc9fe166fd41d29bcc6f1344cb', class: "c-alert__content" }, h("slot", { key: 'f9fda967fe8adb0941bb22da2b29a5bcde77d295', name: "title" }), h("slot", { key: '979334753f81f8f4905230c0192283e01bbcb361' })))));
    }
    static get style() { return cAlertCss; }
}, [1, "c-alert", {
        "type": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-alert"];
    components.forEach(tagName => { switch (tagName) {
        case "c-alert":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CAlert$1);
            }
            break;
    } });
}

const CAlert = CAlert$1;
const defineCustomElement = defineCustomElement$1;

export { CAlert, defineCustomElement };
//# sourceMappingURL=c-alert.js.map

//# sourceMappingURL=c-alert.js.map