import { p as proxyCustomElement, H, c as createEvent, h, d as Host } from './p-Fv9YCUj3.js';
import { d as defineCustomElement$3 } from './p-DEHCeGjr.js';
import { d as defineCustomElement$2 } from './p-D6wozX_5.js';

const cButtonCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-button-border-radius:var(--c-button-border-radius, 4px);--_c-button-height:44px;--_c-button-min-width:88px;--_c-button-padding:0 16px;--_c-button-font-size:16px;--_c-button-icon-size:24px;--_c-button-outline-offset:2px;border-radius:var(--_c-button-border-radius);display:inline-flex;min-width:max-content;transform:translateZ(0);transition:background-color 0.3s ease-in-out;--_c-button-background-color:var(--c-button-background-color, var(--c-primary-600));--_c-button-text-color:var(--c-button-text-color, var(--c-white));--_c-button-loader-color:var(--c-button-loader-color, var(--_c-button-text-color));--_c-button-outline-color:var(--c-button-outline-color, var(--_c-button-background-color));background-color:var(--_c-button-background-color);color:var(--_c-button-text-color)}:host ::slotted(svg){fill:var(--_c-button-loader-color)}:host(.c-button--no-radius){--_c-button-border-radius:0}:host(:host:not(.c-button--description)){height:var(--_c-button-height)}:host(.c-button--description){height:\"auto\"}:host(:host:hover){--_c-button-background-color-hover:var(--c-button-background-color-hover, var(--c-primary-400));background-color:var(--_c-button-background-color-hover)}:host(.c-button--inverted){--_c-button-inverted-background-color:var(--c-button-inverted-background-color, var(--c-white));--_c-button-inverted-text-color:var(--c-button-inverted-text-color, var(--c-primary-600));--_c-button-outline-color:var(--_c-button-inverted-background-color);background-color:var(--_c-button-inverted-background-color);color:var(--_c-button-inverted-text-color)}:host(.c-button--inverted:hover){--_c-button-inverted-background-color-hover:var(--c-button-inverted-background-color-hover, var(--c-primary-200));background-color:var(--_c-button-inverted-background-color-hover)}:host(.c-button--inverted.c-button--disabled){--_c-button-inverted-disabled-background-color:var(--c-button-inverted-disabled-background-color, var(--_c-button-disabled-background-color));--_c-button-inverted-disabled-text-color:var(--c-button-inverted-disabled-text-color, var(--c-tertiary-500));background-color:var(--_c-button-inverted-disabled-background-color);color:var(--_c-button-inverted-disabled-text-color)}:host(.c-button--danger){--_c-button-danger-background-color:var(--c-button-danger-background-color, var(--c-error-600));--_c-button-danger-text-color:var(--c-button-danger-text-color, var(--c-white));--_c-button-danger-loader-color:var(--c-button-danger-loader-color, var(--_c-button-danger-text-color));--_c-button-loader-color:var(--_c-button-danger-loader-color);--_c-button-outline-color:var(--_c-button-danger-background-color);background-color:var(--_c-button-danger-background-color);color:var(--_c-button-danger-text-color)}:host(.c-button--danger:hover){--_c-button-danger-background-color-hover:var(--c-button-danger-background-color-hover, var(--c-error-400));background-color:var(--_c-button-danger-background-color-hover)}:host(.c-button--danger.c-button--disabled){--_c-button-danger-disabled-background-color:var(--c-button-danger-disabled-background-color, var(--_c-button-disabled-background-color));--_c-button-danger-disabled-text-color:var(--c-button-danger-disabled-text-color, var(--_c-button-disabled-text-color));background-color:var(--_c-button-danger-disabled-background-color);color:var(--_c-button-danger-disabled-text-color)}:host(.c-button--danger.c-button--inverted){--_c-button-danger-inverted-text-color:var(--c-button-danger-inverted-text-color, var(--c-error-600));--_c-button-danger-inverted-background-color:var(--c-button-danger-inverted-background-color, var(--c-white));--_c-button-outline-color:var(--_c-button-danger-inverted-background-color);background-color:var(--_c-button-danger-inverted-background-color);color:var(--_c-button-danger-inverted-text-color)}:host(.c-button--danger.c-button--inverted:hover){--_c-button-danger-inverted-background-color-hover:var(--c-button-danger-inverted-background-color-hover, var(--c-error-100));background-color:var(--_c-button-danger-inverted-background-color-hover)}:host(.c-button--danger.c-button--inverted.c-button--disabled){--_c-button-danger-inverted-disabled-background-color:var(--c-button-danger-inverted-disabled-background-color, var(--_c-button-disabled-background-color));--_c-button-danger-inverted-disabled-text-color:var(--c-button-danger-inverted-disabled-text-color, var(--_c-button-disabled-text-color));background-color:var(--_c-button-danger-inverted-disabled-background-color);color:var(--_c-button-danger-inverted-disabled-text-color)}:host(.c-button--ghost){--_c-button-ghost-background-color:var(--c-button-ghost-background-color, var(--c-primary-200));--_c-button-ghost-text-color:var(--c-button-ghost-text-color, var(--c-primary-600));--_c-button-ghost-loader-color:var(--c-button-ghost-loader-color, var(--_c-button-ghost-text-color));--_c-button-loader-color:var(--_c-button-ghost-loader-color);--_c-button-outline-color:var(--_c-button-ghost-text-color);background-color:var(--_c-button-ghost-background-color);color:var(--_c-button-ghost-text-color)}:host(.c-button--ghost:hover){--_c-button-ghost-background-color-hover:var(--c-button-ghost-background-color-hover, var(--c-primary-100));background-color:var(--_c-button-ghost-background-color-hover)}:host(.c-button--ghost.c-button--disabled){--_c-button-ghost-disabled-background-color:var(--c-button-ghost-disabled-background-color, var(--_c-button-disabled-background-color));--_c-button-ghost-disabled-text-color:var(--c-button-ghost-disabled-text-color, var(--_c-button-disabled-text-color));background-color:var(--_c-button-ghost-disabled-background-color);color:var(--_c-button-ghost-disabled-text-color)}:host(.c-button--ghost.c-button--inverted){--_c-button-ghost-inverted-background-color:var(--c-button-ghost-inverted-background-color, rgba(var(--c-white-rgb), 0.2));--_c-button-ghost-inverted-text-color:var(--c-button-ghost-inverted-text-color, var(--c-white));--_c-button-outline-color:var(--_c-button-ghost-inverted-text-color);background-color:var(--_c-button-ghost-inverted-background-color);color:var(--_c-button-ghost-inverted-text-color)}:host(.c-button--ghost.c-button--inverted:hover){--_c-button-ghost-inverted-background-color-hover:var(--c-button-ghost-inverted-background-color-hover, rgba(var(--c-white-rgb), 0.3));background-color:var(--_c-button-ghost-inverted-background-color-hover)}:host(.c-button--ghost.c-button--inverted.c-button--disabled){--_c-button-ghost-inverted-disabled-background-color:var(--c-button-ghost-inverted-disabled-background-color, rgba(var(--c-white-rgb), 0.05));--_c-button-ghost-inverted-disabled-text-color:var(--c-button-ghost-inverted-disabled-text-color, var(--c-tertiary-400));background-color:var(--_c-button-ghost-inverted-disabled-background-color);color:var(--_c-button-ghost-inverted-disabled-text-color)}:host(.c-button--text){--_c-button-text-background-color:var(--c-button-text-background-color, var(--c-transparent));--_c-button-text-text-color:var(--c-button-text-text-color, var(--c-primary-600));--_c-button-text-loader-color:var(--c-button-text-loader-color, var(--_c-button-text-text-color));--_c-button-loader-color:var(--_c-button-text-loader-color);--_c-button-outline-color:var(--_c-button-text-text-color);background-color:var(--_c-button-text-background-color);color:var(--_c-button-text-text-color)}:host(.c-button--text:hover){--_c-button-text-background-color-hover:var(--c-button-text-background-color-hover, var(--c-primary-100));background-color:var(--_c-button-text-background-color-hover)}:host(.c-button--text.c-button--disabled){--_c-button-text-disabled-background-color:var(--c-button-text-disabled-background-color, var(--c-transparent));--_c-button-text-disabled-text-color:var(--c-button-text-disabled-text-color, var(--c-tertiary-500));background-color:var(--_c-button-text-disabled-background-color);color:var(--_c-button-text-disabled-text-color)}:host(.c-button--text.c-button--inverted){--_c-button-text-inverted-background-color:var(--c-button-text-inverted-background-color, var(--c-transparent));--_c-button-text-inverted-text-color:var(--c-button-text-inverted-text-color, var(--c-white));--_c-button-outline-color:var(--_c-button-text-inverted-text-color);background-color:var(--_c-button-text-inverted-background-color);color:var(--_c-button-text-inverted-text-color)}:host(.c-button--text.c-button--inverted:hover){--_c-button-text-inverted-background-color-hover:var(--c-button-text-inverted-background-color-hover, rgba(var(--c-white-rgb), 0.3));background-color:var(--_c-button-text-inverted-background-color-hover)}:host(.c-button--text.c-button--inverted.c-button--disabled){--_c-button-text-inverted-disabled-background-color:var(--c-button-text-inverted-disabled-background-color, var(--c-transparent));--_c-button-text-inverted-disabled-text-color:var(--c-button-text-inverted-disabled-text-color, var(--c-tertiary-400));background-color:var(--_c-button-text-inverted-disabled-background-color);color:var(--_c-button-text-inverted-disabled-text-color)}:host(.c-button--outlined){--_c-button-outlined-text-color:var(--c-button-outlined-text-color, var(--c-primary-600));--_c-button-outlined-border-color:var(--c-button-outlined-border-color, var(--_c-button-outlined-text-color));--_c-button-outlined-background-color:var(--c-button-outlined-background-color, var(--c-transparent));--_c-button-outlined-loader-color:var(--c-button-outlined-loader-color, var(--_c-button-outlined-text-color));--_c-button-loader-color:var(--_c-button-outlined-loader-color);--_c-outline-color:var(--_c-button-outlined-border-color);--_c-button-outline-color:var(--_c-button-outlined-border-color);background-color:var(--_c-button-outlined-background-color);color:var(--_c-button-outlined-text-color);box-shadow:inset 0 0 0 2px var(--_c-outline-color)}:host(.c-button--outlined:hover){--_c-button-outlined-background-color-hover:var(--c-button-outlined-background-color-hover, var(--c-primary-200));background-color:var(--_c-button-outlined-background-color-hover)}:host(.c-button--outlined.c-button--disabled){--_c-button-outlined-disabled-text-color:var(--c-button-outlined-disabled-text-color, var(--c-tertiary-500));--_c-button-outlined-disabled-background-color:var(--c-button-outlined-disabled-background-color, var(--_c-button-outlined-background-color));--_c-button-outlined-disabled-border-color:var(--c-button-outlined-disabled-border-color, var(--c-tertiary-400));--_c-outline-color:var(--_c-button-outlined-disabled-border-color);background-color:var(--_c-button-outlined-disabled-background-color);color:var(--_c-button-outlined-disabled-text-color)}:host(.c-button--outlined.c-button--inverted){--_c-button-outlined-inverted-text-color:var(--c-button-outlined-inverted-text-color, var(--c-white));--_c-button-outlined-inverted-border-color:var(--c-button-outlined-inverted-border-color, var(--_c-button-outlined-inverted-text-color));--_c-button-outlined-inverted-background-color:var(--c-button-outlined-inverted-background-color, var(--_c-button-outlined-background-color));--_c-outline-color:var(--_c-button-outlined-inverted-border-color);--_c-button-outline-color:var(--_c-button-outlined-inverted-border-color);background-color:var(--_c-button-outlined-inverted-background-color);color:var(--_c-button-outlined-inverted-text-color)}:host(.c-button--outlined.c-button--inverted:hover){--_c-button-outlined-inverted-background-color-hover:var(--c-button-outlined-inverted-background-color-hover, rgba(var(--c-white-rgb), 0.3));background-color:var(--_c-button-outlined-inverted-background-color-hover)}:host(.c-button--outlined.c-button--inverted.c-button--disabled){--_c-button-outlined-inverted-disabled-border-color:var(--c-button-outlined-inverted-disabled-border-color, var(--c-tertiary-400));--_c-button-outlined-inverted-disabled-text-color:var(--c-button-outlined-inverted-disabled-text-color, var(--c-tertiary-400));--_c-button-outlined-inverted-disabled-background-color:var(--c-button-outlined-inverted-disabled-background-color, var(--_c-button-outlined-background-color));--_c-outline-color:var(--_c-button-outlined-inverted-disabled-border-color);background-color:var(--_c-button-outlined-inverted-disabled-background-color);color:var(--_c-button-outlined-inverted-disabled-text-color)}:host(.c-button--disabled){--_c-button-disabled-background-color:var(--c-button-disabled-background-color, var(--c-tertiary-100));--_c-button-disabled-text-color:var(--c-button-disabled-text-color, var(--c-tertiary-600));--_c-button-loader-color:var(--_c-button-disabled-text-color);background-color:var(--_c-button-disabled-background-color);color:var(--_c-button-disabled-text-color);pointer-events:none}:host(.c-button:focus){z-index:2}:host(.c-button) a:focus,:host(.c-button) button:focus{outline:none}:host(.c-button) a:focus-visible,:host(.c-button) button:focus-visible{outline:2px var(--_c-button-outline-color) solid;outline-offset:var(--_c-button-outline-offset);z-index:1}:host(.c-button--fit){width:100%}:host(.c-button--small){--_c-button-height:28px}:host(.c-button--large){--_c-button-height:52px}:host(.c-button--fitted){width:100%}::slotted([slot=icon]){font-size:var(--_c-button-icon-size)}::slotted(svg){fill:var(--_c-button-loader-color)}a{text-decoration:none}button,a{background-color:transparent;border-radius:var(--_c-button-border-radius);color:currentColor;font-family:var(--c-font-family);display:inline-grid;place-items:center;border:none;padding:0;position:relative;margin:0;width:100%;cursor:pointer;transition:background-color 0.3s cubic-bezier(0.25, 0.8, 0.5, 1), color 0.3s cubic-bezier(0.25, 0.8, 0.5, 1)}button:disabled,a:disabled{cursor:default}@media (max-width: 767px){.full-width-mobile{max-width:100% !important;width:100% !important;margin:0 !important}.full-width-mobile .c-button-padding{padding:24px 38px}.full-width{flex-grow:1 !important}}.c-button__content{border-radius:var(--_c-button-border-radius);position:relative;box-shadow:none;outline:none;backface-visibility:hidden;transform:translate3d(0, 0, 0);transition:background-color 0.3s;color:currentColor;margin:0;text-decoration:none;display:flex;text-align:center;font-size:var(--_c-button-font-size);font-weight:700;line-height:18px;user-select:none;min-width:var(--_c-button-min-width);white-space:nowrap;height:100%;width:100%;align-items:center;justify-content:center}.c-button__content *{pointer-events:none}.c-button__content svg{fill:var(--_c-button-loader-color);height:var(--_c-button-icon-size);width:var(--_c-button-icon-size)}.c-button__content svg.icon-by-path{margin-right:8px}.c-button__content svg.button-icon{margin-right:16px;font-size:10px;margin-left:-8px;margin-bottom:-2px}.c-button__content--small{--_c-button-padding:0 12px;--_c-button-font-size:14px;--_c-button-icon-size:20px}.c-button__content--large{--_c-button-padding:0 24px;--_c-button-font-size:18px}.c-button__content--no-radius{--_c-button-border-radius:0}.c-button__content--fitted{width:100%}.c-button__content--description{display:grid;grid-template-columns:1fr;gap:0}.c-button__content__inner{display:flex;gap:8px;height:var(--_c-button-height);align-items:center;justify-content:center;padding:var(--_c-button-padding)}.c-button__content__description{font-weight:400;font-size:12px;padding:0 12px 12px}.c-button__content__description--loading{opacity:0.8}.hide-text{color:transparent !important}.hide-text ::slotted([slot=icon]){opacity:0}.hide-text svg{fill:transparent !important}.hide-text .outlined.c-button svg{fill:transparent !important}.c-button__loader{width:100%;position:absolute;height:var(--_c-button-height);display:grid;place-content:center}.c-button__loader.dense_spinner{padding-top:7px}";

const CButton$1 = proxyCustomElement(class CButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.tabChange = createEvent(this, "tabChange", 7);
        this.tabFocus = createEvent(this, "tabFocus", 7);
        this.inverted = false;
        this.outlined = false;
        this.ghost = false;
        this.danger = false;
        this.grouped = false;
        this.text = false;
        this.loading = false;
        this.fit = false;
        this.noRadius = false;
        this.type = 'button';
        this.disabled = false;
        this.size = 'default';
        this.target = '_blank';
        this.tabs = false;
        this._onClick = (event, center = false) => {
            var _a;
            if (this.disabled) {
                event.preventDefault();
                return;
            }
            this._rippleElement.createRipple(event, this._container, center);
            if (this.tabs) {
                this.tabChange.emit({
                    value: (_a = this.value) !== null && _a !== void 0 ? _a : this.hostElement.dataset.index,
                    element: this.hostElement,
                });
            }
            if (this.type === 'submit') {
                const submitButton = this._createHiddenSubmitButton();
                submitButton.click();
                submitButton.remove();
            }
        };
        this._createHiddenSubmitButton = () => {
            const form = this._closestElementComposed('form', this._container);
            const submitButton = document.createElement('button');
            submitButton.type = this.type;
            submitButton.style.display = 'none';
            submitButton.disabled = this.disabled;
            form.appendChild(submitButton);
            return submitButton;
        };
        this._onKeyDown = (event) => {
            if (['Space', 'Enter'].includes(event.code)) {
                if (!!this.href) {
                    window.open(this.href, this.target);
                }
                event.preventDefault();
                this._onClick(event, true);
            }
        };
    }
    onTabFocus() {
        var _a;
        this.tabFocus.emit((_a = this.value) !== null && _a !== void 0 ? _a : this.hostElement.dataset.index);
    }
    _closestElementComposed(selector, base) {
        function __closestFrom(el) {
            const found = el.closest(selector);
            return found ? found : __closestFrom(el.getRootNode().host);
        }
        return __closestFrom(base);
    }
    componentWillLoad() {
        this._containerhasDescriptionSlot = !!this.hostElement.querySelector('[slot="description"]');
    }
    render() {
        const contentClasses = {
            'c-button__content': true,
            'c-button__content--description': this._containerhasDescriptionSlot,
            'c-button__content--fitted': !!this.fit,
            'c-button__content--large': this.size === 'large',
            'c-button__content--no-radius': !!this.noRadius,
            'c-button__content--small': this.size === 'small',
        };
        const innerClasses = {
            'c-button__content__inner': true,
            'hide-text': this.loading,
        };
        const buttonClasses = {
            fit: !!this.fit,
            grouped: this.grouped,
            outlined: this.outlined,
        };
        const hostClasses = {
            'c-button': true,
            'c-button--ghost': this.ghost,
            'c-button--outlined': this.outlined,
            'c-button--danger': this.danger,
            'c-button--disabled': this.disabled,
            'c-button--inverted': this.inverted,
            'c-button--text': this.text,
            'c-button--fitted': !!this.fit,
            'c-button--description': !!this._containerhasDescriptionSlot,
            'c-button--active': this.grouped && !this.outlined,
            'c-button--no-radius': !!this.noRadius,
            [`c-button--${this.size}`]: true,
        };
        const descriptionSlotClasses = {
            'c-button__content__description': this._containerhasDescriptionSlot,
            'c-button__content__description--loading': this.loading,
        };
        const Tag = !!this.href ? 'a' : 'button';
        const hostAttributes = {
            onKeyDown: this._onKeyDown,
        };
        const attributes = {
            id: this.hostId,
            class: buttonClasses,
            disabled: this.disabled,
            onClick: this._onClick,
            type: this.type,
        };
        let linkAttributes = {};
        if (!!this.href) {
            linkAttributes = { href: this.href, target: this.target };
        }
        const spinnerSizes = {
            small: 20,
            default: 24,
            large: 28,
        };
        return (h(Host, Object.assign({ key: '1e7fd3d5ed864159709a2e34ec23fa62830e84b8', class: hostClasses }, hostAttributes), h(Tag, Object.assign({ key: '372d34c304df775577e9165ae24b88f299a38d2c' }, attributes, linkAttributes), h("div", { key: '3ab7cc2472bda14f499a520c4dd53a0543ead5ba', class: contentClasses, ref: (el) => (this._container = el) }, h("div", { key: '929fbd77601b9f58d7d0002e4213a50ae495dfd0', class: innerClasses }, this.loading && (h("div", { key: '90e97a37732c2903b718c11439232f563294eb7d', class: "c-button__loader" }, h("c-spinner", { key: '277ee152de7e3c61891c52ee51f771f85df0a5ed', color: "var(--_c-button-loader-color)", size: spinnerSizes[this.size] }))), h("slot", { key: '7b6a4797d7bd515f8171b8d83a3c3a5b30c3be81' })), this._containerhasDescriptionSlot && (h("div", { key: '479ed7791480a8ac29864b53cad7db65826eba3f', class: descriptionSlotClasses }, h("slot", { key: '634af8d8b67366d3e28f9eefd961c5cc68d1b34c', name: "description" })))), h("c-ripple", { key: '670f5e91b610d7e7d19684a725cfec20d0537eec', ref: (el) => (this._rippleElement = el) }))));
    }
    get hostElement() { return this; }
    static get style() { return cButtonCss; }
}, [1, "c-button", {
        "inverted": [4],
        "outlined": [4],
        "ghost": [4],
        "danger": [4],
        "grouped": [4],
        "text": [4],
        "loading": [4],
        "fit": [4],
        "noRadius": [4, "no-radius"],
        "type": [1],
        "disabled": [516],
        "value": [8],
        "hostId": [1, "id"],
        "size": [1],
        "href": [1],
        "target": [1],
        "tabs": [4]
    }, [[1, "focus", "onTabFocus"]]]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-button", "c-ripple", "c-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "c-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CButton$1);
            }
            break;
        case "c-ripple":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "c-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CButton = CButton$1;
const defineCustomElement = defineCustomElement$1;

export { CButton, defineCustomElement };
//# sourceMappingURL=c-button.js.map

//# sourceMappingURL=c-button.js.map