import { p as proxyCustomElement, H, h } from './p-Fv9YCUj3.js';

const cCardTitleCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-card-title-color:var(--c-card-title-color, var(--c-text-system));--_c-card-title-underline-color:var(--c-card-title-underline-color, var(--c-primary-600));color:var(--_c-card-title-color);display:block;font-family:var(--c-font-family);font-size:1rem;font-weight:500;text-transform:uppercase;text-wrap:balance}.c-card-title{padding-inline:var(--_c-card-gap, 24px)}.c-card-title__header p{margin:0}.c-card-title--actions{display:flex;flex-wrap:wrap;align-items:start;flex:0 0 auto;gap:8px}.c-card-title--actions.c-card-title--wrapped .c-card-title__actions{justify-content:start}.c-card-title__underline{background-color:var(--_c-card-title-underline-color);border-radius:4px;height:4px;margin-top:10px;width:44px}.c-card-title__actions{justify-content:end;align-items:center;display:flex;flex-wrap:wrap-reverse;gap:8px;flex:1}";

const CCardTitle$1 = proxyCustomElement(class CCardTitle extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this._slotHasContent = false;
        this._isWrapped = false;
    }
    _handleResize() {
        if (!this._headerElement || !this._actionsElement)
            return;
        this._isWrapped =
            this._headerElement.getBoundingClientRect().top <
                this._actionsElement.getBoundingClientRect().top;
        this._wrapperElement.classList.toggle('c-card-title--wrapped', this._isWrapped);
    }
    componentWillLoad() {
        this._slotHasContent = !!this.hostElement.querySelector('[slot="actions"]');
    }
    componentDidLoad() {
        this._resizeObserver = new ResizeObserver(() => {
            this._handleResize();
        });
        this._resizeObserver.observe(this.hostElement);
    }
    disconnectedCallback() {
        var _a;
        (_a = this._resizeObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    }
    render() {
        const classes = {
            'c-card-title': true,
            'c-card-title--actions': this._slotHasContent,
        };
        return (h("header", { key: '6b04a629aedb1b4ce20a2b69d8dc368136dec145', class: classes, ref: (el) => (this._wrapperElement = el) }, h("div", { key: '1b8692120812342e0c8e9c958e35f1b38986663a', class: "c-card-title__header", ref: (el) => (this._headerElement = el) }, h("p", { key: '434a56c1688b75ca2255fe32221093e5e07c0cad' }, h("slot", { key: 'e2b95da5d429b5db8884178aaeea0ea5dade84f1' })), h("div", { key: 'dec81bab9565102d5864e29ebb6c5a5482256084', class: "c-card-title__underline" })), this._slotHasContent && (h("div", { key: '590b526965be76062c687251b7ad952ae8d8de33', class: "c-card-title__actions", ref: (el) => (this._actionsElement = el) }, h("slot", { key: '6f8cd9bb5f927c37ad7ba9c28110421b73cda137', name: "actions" })))));
    }
    get hostElement() { return this; }
    static get style() { return cCardTitleCss; }
}, [1, "c-card-title"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-card-title"];
    components.forEach(tagName => { switch (tagName) {
        case "c-card-title":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CCardTitle$1);
            }
            break;
    } });
}

const CCardTitle = CCardTitle$1;
const defineCustomElement = defineCustomElement$1;

export { CCardTitle, defineCustomElement };
//# sourceMappingURL=c-card-title.js.map

//# sourceMappingURL=c-card-title.js.map