import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';
import { j as mdiFullscreenExit, k as mdiFullscreen } from './p-Bd7jq7MS.js';
import { d as defineCustomElement$6 } from './p-DKhrqMh8.js';
import { d as defineCustomElement$5 } from './p-Cmy8x1XB.js';
import { d as defineCustomElement$4 } from './p-BCgTj9pp.js';
import { d as defineCustomElement$3 } from './p-DEHCeGjr.js';
import { d as defineCustomElement$2 } from './p-D6wozX_5.js';

const cCardCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host(c-card){--_c-card-gap:var(--c-card-gap, clamp(1rem, 2vw, 1.5rem));--_c-card-background-color:var(--c-card-background-color, var(--c-white));display:flex;border-radius:6px;box-shadow:rgba(0, 0, 0, 0.15) 0 10px 20px, rgba(0, 0, 0, 0.2) 0 5px 5px;position:relative;background-color:var(--_c-card-background-color)}:host(c-card) article{display:flex;flex-direction:column;flex:1;gap:var(--_c-card-gap);max-width:100%;padding-block:var(--_c-card-gap)}:host(.c-card--fullscreen){--c-icon-button-text-background-color:var(--c-white);overflow:auto}:host(.c-card--fullscreen) .c-card__fullscreen-toggle{position:fixed}@-moz-document url-prefix(){:host(.c-card--fullscreen) .c-card__fullscreen-toggle{position:absolute}}::slotted(c-loader){border-radius:6px}.c-card__fullscreen-toggle{position:absolute;right:calc(var(--_c-card-gap) - 8px);top:calc(var(--_c-card-gap) - 8px)}";

const CCard$1 = proxyCustomElement(class CCard extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.fullscreen = false;
        this.isFullscreen = false;
    }
    _toggleFullscreen() {
        this.isFullscreen = !this.isFullscreen;
    }
    _onFullscreen() {
        var _a, _b;
        if (document.fullscreenElement) {
            this.exitFullscreen();
            return;
        }
        this.host.requestFullscreen();
        const modalWrapper = (_b = (_a = this.host.parentElement) === null || _a === void 0 ? void 0 : _a.shadowRoot) === null || _b === void 0 ? void 0 : _b.querySelector('.modal-wrapper');
        if (modalWrapper) {
            modalWrapper.style.display = this.isFullscreen
                ? 'block'
                : 'flex';
        }
    }
    componentDidLoad() {
        const title = this.host.querySelector('c-card-title');
        if (!!title && this.fullscreen) {
            title.style.marginRight = '40px';
        }
        this.host.addEventListener('fullscreenchange', this._toggleFullscreen.bind(this));
    }
    disconnectedCallback() {
        this.host.removeEventListener('fullscreenchange', this._toggleFullscreen.bind(this));
    }
    async exitFullscreen() {
        var _a, _b;
        if (!document.fullscreenElement)
            return;
        document.exitFullscreen();
        const modalWrapper = (_b = (_a = this.host.parentElement) === null || _a === void 0 ? void 0 : _a.shadowRoot) === null || _b === void 0 ? void 0 : _b.querySelector('.modal-wrapper');
        if (modalWrapper) {
            modalWrapper.style.display = 'flex';
        }
    }
    async enterFullscreen() {
        this.isFullscreen = true;
    }
    render() {
        const hostClasses = {
            'c-card': true,
            'c-card--fullscreen': this.isFullscreen,
        };
        return (h(Host, { key: '4b8b56fe9d14b6146e03600a4dc20edfca745c30', class: hostClasses }, h("article", { key: '2a22228619e1317311639dfcb9f41e2267dd1ec5' }, this.fullscreen && (h("c-icon-button", { key: '6c6ffc4abd4b7956633d65ca93048d37f83e8bbb', "aria-hidden": "true", class: "c-card__fullscreen-toggle", title: this.isFullscreen ? 'Exit fullscreen' : 'Enter fullscreen', text: true, onClick: () => this._onFullscreen() }, h("c-icon", { key: 'b23ab9eeb9d5202b0bd2737f5e3a122301b8ac5a', path: this.isFullscreen ? mdiFullscreenExit : mdiFullscreen }))), h("slot", { key: '484f61f84cb4b87dadae63fcaa39f675b68cd7c9' }))));
    }
    static get assetsDirs() { return ["assets"]; }
    get host() { return this; }
    static get style() { return cCardCss; }
}, [1, "c-card", {
        "fullscreen": [4],
        "isFullscreen": [32],
        "exitFullscreen": [64],
        "enterFullscreen": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-card", "c-badge", "c-icon", "c-icon-button", "c-ripple", "c-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "c-card":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CCard$1);
            }
            break;
        case "c-badge":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "c-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "c-icon-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "c-ripple":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "c-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CCard = CCard$1;
const defineCustomElement = defineCustomElement$1;

export { CCard, defineCustomElement };
//# sourceMappingURL=c-card.js.map

//# sourceMappingURL=c-card.js.map