import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';

const cListCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}.c-list{--_c-list-gap:var(--c-list-gap, 4px);--_c-list-border-color:var(--c-list-border-color, var(--c-tertiary-200));--_c-list-border-color-active:var(--c-list-border-color-active, var(--c-primary-600));display:grid;gap:var(--_c-list-gap)}.c-list--bordered .c-list-item{border:1px solid var(--_c-list-border-color)}";

const CList$1 = proxyCustomElement(class CList extends H {
    constructor() {
        super();
        this.__registerHost();
        this.disabled = false;
        this.bordered = false;
    }
    onDisabledChange(disabled) {
        this._items.forEach((item) => {
            const isDisabled = item.hasAttribute('disabled') && !('disabled' in item.dataset);
            if (!isDisabled) {
                item.disabled = !!disabled;
                item.disabledByParent = !!disabled;
            }
        });
    }
    get _items() {
        return Array.from(this.el.querySelectorAll('c-list-item'));
    }
    componentDidLoad() {
        this.onDisabledChange(this.disabled);
    }
    render() {
        const classes = {
            'c-list': true,
            'c-list--disabled': this.disabled,
            'c-list--bordered': this.bordered,
        };
        return h(Host, { key: '39cd178479344225c79ac490499489d771359d19', role: "list", class: classes });
    }
    get el() { return this; }
    static get watchers() { return {
        "disabled": ["onDisabledChange"]
    }; }
    static get style() { return cListCss; }
}, [0, "c-list", {
        "disabled": [4],
        "bordered": [4]
    }, undefined, {
        "disabled": ["onDisabledChange"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-list"];
    components.forEach(tagName => { switch (tagName) {
        case "c-list":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CList$1);
            }
            break;
    } });
}

const CList = CList$1;
const defineCustomElement = defineCustomElement$1;

export { CList, defineCustomElement };
//# sourceMappingURL=c-list.js.map

//# sourceMappingURL=c-list.js.map