import { p as proxyCustomElement, H, h } from './p-Fv9YCUj3.js';

const cLoginCardCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:root{--_c-login-card-background-color:var(\n    --c-login-card-background-color,\n    var(--c-white)\n  );--_c-login-card-overlay-color:var(\n    --c-login-card-overlay-color,\n    var(--c-primary-600)\n  )}c-login-card{display:flex;background:var(--_c-login-card-background-color);border-radius:6px}c-login-card article{width:100%}.c-login-card{border-radius:6px;box-shadow:rgba(0, 0, 0, 0.15) 0 10px 20px, rgba(0, 0, 0, 0.2) 0 5px 5px;display:flex;position:relative;width:100%}.c-login-card__image{background-size:cover;border-radius:6px;clip-path:url(\"#cLoginClipPath\");height:100%;left:0;overflow:hidden;position:absolute;top:0;width:100%}.c-login-card__image--overlay{background-color:var(--_c-login-card-overlay-color);background-blend-mode:var(--_c-login-card-overlay-mode)}.c-login-card__content{display:flex;flex-direction:column;gap:24px;padding:72px;margin-bottom:32px;max-width:80%;width:100%}.c-login-card__content--no-image{max-width:100%;margin-bottom:0}.c-login-card--mobile c-login-card-title{font-size:32px;hyphens:auto}.c-login-card--mobile .c-login-card__content{max-width:100%;padding:40px}.c-login-card--mobile .c-login-card__image{border-radius:0 0 6px 6px;bottom:0;top:auto;width:100%}";

const CLoginCard$1 = proxyCustomElement(class CLoginCard extends H {
    constructor() {
        super();
        this.__registerHost();
        this.backgroundPosition = 'bottom right';
        this.mobileBreakpoint = 600;
        this.overlay = false;
        this.overlayBlendMode = 'multiply';
        this.src = '';
        this._paths = {
            desktop: 'm0.234,0.914 c0.132,-0.026,0.286,-0.05,0.436,-0.163 c0.083,-0.063,0.152,-0.145,0.21,-0.329 c0.055,-0.172,0.072,-0.421,0.072,-0.421 h0.048 v1 h-1 v-0.057 c0,0,0.145,-0.012,0.234,-0.029',
            mobile: 'm1,1 h-1 v-0.213 c0,0,0.209,-0.046,0.337,-0.109 c0.191,-0.096,0.413,-0.183,0.629,-0.608 c0.028,-0.055,0.034,-0.069,0.034,-0.069',
        };
        this.path = '';
        this.imageHeight = '100%';
    }
    componentWillLoad() {
        this._observer = new ResizeObserver(([entry]) => {
            const { width } = entry.contentRect;
            this._handleResize(width);
        });
    }
    componentDidLoad() {
        this._observer.observe(this._cardElement);
    }
    disconnectedCallback() {
        this._observer.disconnect();
    }
    _handleResize(width) {
        const isMobile = width <= this.mobileBreakpoint;
        const mode = isMobile ? 'mobile' : 'desktop';
        this.imageHeight = isMobile ? `${width * 0.3}px` : '100%';
        this.path = this._paths[mode];
        this._cardElement.classList.toggle('c-login-card--mobile', isMobile);
    }
    render() {
        const style = {
            backgroundImage: `url(${this.src})`,
            backgroundPosition: this.backgroundPosition,
            height: this.imageHeight,
            '--_c-login-card-overlay-mode': !!this.overlay && this.overlayBlendMode,
        };
        const imageClasses = {
            'c-login-card__image': true,
            'c-login-card__image--overlay': !!this.overlay,
        };
        const contentClasses = {
            'c-login-card__content': true,
            'c-login-card__content--no-image': !this.src,
        };
        return (h("article", { key: '5e331c7f6d535a4f8ec6a499aed170215c7f47a3' }, !!this.src && (h("svg", { key: '4d77b00fc81e9daefc95fe43580935325538658f', width: "0", height: "0" }, h("defs", { key: '4feb958aee56c903ee08c2f2bc2ad981b3ac7416' }, h("clipPath", { key: 'd26590db975f9192ae7156c7e3dedc5a6cd7c438', id: "cLoginClipPath", clipPathUnits: "objectBoundingBox" }, h("path", { key: '88b486f8a7cc0037718e1e2ceb2d6cf45a59592a', d: this.path }))))), h("div", { key: '5a282fe630f33c8dda03ef235a469669d412635f', class: "c-login-card", ref: (el) => (this._cardElement = el) }, !!this.src && h("div", { key: '6c3d070499ae4c2477270be11bcede87b04715d1', class: imageClasses, style: style }), h("div", { key: 'dcb426c2700d0c436f5b3d17b6c768631dd7124b', class: contentClasses }, h("slot", { key: '753e0231c4a5f083e2c7aac446697b82f62f1c15' })))));
    }
    get element() { return this; }
    static get style() { return cLoginCardCss; }
}, [4, "c-login-card", {
        "backgroundPosition": [1, "background-position"],
        "mobileBreakpoint": [2, "mobile-breakpoint"],
        "overlay": [4],
        "overlayBlendMode": [1, "overlay-blend-mode"],
        "src": [1],
        "path": [32],
        "imageHeight": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-login-card"];
    components.forEach(tagName => { switch (tagName) {
        case "c-login-card":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CLoginCard$1);
            }
            break;
    } });
}

const CLoginCard = CLoginCard$1;
const defineCustomElement = defineCustomElement$1;

export { CLoginCard, defineCustomElement };
//# sourceMappingURL=c-login-card.js.map

//# sourceMappingURL=c-login-card.js.map