import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';

const cRowCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host(.c-row){display:flex;flex:1 1 auto;flex-wrap:wrap;gap:var(--_c-row-gap)}:host(.c-row) slot{display:flex;flex-wrap:wrap;width:100%;gap:var(--_c-row-gap)}:host(.c-row--nowrap) slot{flex-wrap:nowrap !important}:host(.c-row--align-center) slot{align-items:center}:host(.c-row--align-start) slot{align-items:flex-start}:host(.c-row--align-end) slot{align-items:flex-end}:host(.c-row--justify-start) slot{justify-content:flex-start}:host(.c-row--justify-center) slot{justify-content:center}:host(.c-row--justify-end) slot{justify-content:flex-end}:host(.c-row--justify-space-between) slot{justify-content:space-between}:host(.c-row--justify-space-around) slot{justify-content:space-around}";

const CRow$1 = proxyCustomElement(class CRow extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.gap = 0;
        this.nowrap = false;
    }
    componentDidLoad() {
        this.el.style.setProperty('--_c-row-gap', this.el.dataset.gap);
    }
    render() {
        const classes = {
            'c-row': true,
            'c-row--nowrap': this.nowrap,
            [`c-row--align-${this.align}`]: !!this.align,
            [`c-row--justify-${this.justify}`]: !!this.justify,
        };
        return (h(Host, { key: '4a73e341d68807f1e90c8ea1745604746baae598', "data-gap": `${this.gap}px`, class: classes }, h("slot", { key: '4d185880d5c2ef580d3d90f847774742aa6a3f44' })));
    }
    get el() { return this; }
    static get style() { return cRowCss; }
}, [1, "c-row", {
        "gap": [2],
        "nowrap": [4],
        "align": [1],
        "justify": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-row"];
    components.forEach(tagName => { switch (tagName) {
        case "c-row":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CRow$1);
            }
            break;
    } });
}

const CRow = CRow$1;
const defineCustomElement = defineCustomElement$1;

export { CRow, defineCustomElement };
//# sourceMappingURL=c-row.js.map

//# sourceMappingURL=c-row.js.map