import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';
import { q as mdiArrowRight } from './p-Bd7jq7MS.js';
import { d as defineCustomElement$6 } from './p-DKhrqMh8.js';
import { d as defineCustomElement$5 } from './p-Cmy8x1XB.js';
import { d as defineCustomElement$4 } from './p-BCgTj9pp.js';
import { d as defineCustomElement$3 } from './p-DEHCeGjr.js';
import { d as defineCustomElement$2 } from './p-D6wozX_5.js';

const cSideNavigationCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-side-navigation-background-color:var(\n    --c-side-navigation-background-color,\n    var(--c-primary-600)\n  );--_c-side-navigation-overlay-color:var(\n    --c-side-navigation-overlay-color,\n    rgba(var(--c-black), 0.5)\n  )}:host(.autoheight){height:calc(100vh - 60px);overflow-y:auto;overflow-x:hidden}:host(.desktop){background-color:var(--_c-side-navigation-background-color);display:flex;min-width:clamp(300px, 20vw, 340px)}.c-side-navigation{background-color:var(--_c-side-navigation-background-color);display:flex;flex-flow:column nowrap;flex:1;gap:4px;min-height:fit-content;padding:24px 0 24px 24px;position:relative;transition:transform 0.3s ease;width:100%;z-index:8;max-height:100%;overflow-y:auto}.c-side-navigation__wrapper{display:flex;flex-direction:column;flex-shrink:0;min-height:100%}.c-side-navigation__wrapper--mobile{min-height:calc(100% - 60px)}.c-side-navigation__content{display:flex;flex-direction:column;flex:1 2 260px;width:320px}.c-side-navigation__content--mobile{height:100vh;max-width:320px;overflow-y:scroll;position:fixed;right:0;top:0;transition:transform 0.2s cubic-bezier(0.25, 0.8, 0.5, 1);transform:translateX(0%);z-index:999}.c-side-navigation__content--mobile.c-side-navigation__content--hidden{transform:translateX(100%)}.c-side-navigation__content--mobile>nav{min-height:auto;padding-top:0}.c-side-navigation__burger{display:flex;justify-content:flex-end;padding:8px 16px}.c-side-navigation ul{display:flex;flex-flow:column nowrap;gap:8px;list-style:none;margin:0;padding:0}.autoheight>nav{height:calc(100vh - 60px);overflow-x:hidden;overflow-y:auto}.vertical-spacer{flex:1;margin-bottom:8px}.c-overlay{background:var(--_c-side-navigation-overlay-color);backdrop-filter:blur(4px);inset:0;position:fixed;z-index:998}@keyframes fade-in{0%{opacity:0}100%{opacity:1}}.c-fade-in{animation-duration:0.5s;animation-iteration-count:1;animation-name:fade-in;z-index:997}c-side-navigation-item,c-sub-navigation-item{display:contents}.visuallyhidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}";

const CSideNavigation$1 = proxyCustomElement(class CSideNavigation extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.menuVisible = false;
    }
    handleChange(event) {
        const slotted = this.host.querySelectorAll('c-side-navigation-item');
        const target = event.target;
        const { active } = target;
        slotted.forEach((item) => {
            if (item.querySelector('c-sub-navigation-item[slot="sub-item"]')) {
                item.active = false;
            }
        });
        if (target.querySelector('[slot="sub-item"]')) {
            target.active = !active;
        }
        else {
            target.active = true;
        }
    }
    _assignSubItemSlots() {
        const subItems = this.host.querySelectorAll('c-sub-navigation-item');
        Array.from(subItems).forEach((item) => {
            item.setAttribute('slot', 'sub-item');
        });
    }
    componentWillLoad() {
        this._assignSubItemSlots();
    }
    componentDidLoad() {
        const el = document.querySelector('body');
        ['click', 'keyup'].forEach((eventType) => {
            el.addEventListener(eventType, (e) => {
                if (e.target.matches('c-navigation-button')) {
                    if (eventType === 'click') {
                        this.menuVisible = !this.menuVisible;
                    }
                    else if (e instanceof KeyboardEvent && e.key === 'Enter') {
                        this.menuVisible = !this.menuVisible;
                    }
                }
            });
        });
        const addStyles = (el, styles) => Object.assign(el.style, styles);
        addStyles(this._containerElement, this.styles);
    }
    _closeMenu() {
        this.menuVisible = false;
    }
    render() {
        const classes = {
            'c-side-navigation': true,
            'hide-menu': !this.menuVisible,
            mobile: !!this.mobile,
            desktop: !this.mobile,
        };
        const containerClasses = {
            'c-side-navigation__content': true,
            'c-side-navigation__content--hidden': !this.menuVisible,
            'c-side-navigation__content--mobile': !!this.mobile,
            'c-side-navigation__content--desktop': !this.mobile,
        };
        return (h(Host, { key: 'cf2fa277c8ccdac4101f31644e4db5068fc05db7', class: { desktop: !this.mobile } }, h("div", { key: '60e6f8dc715dad39d9a83057bb561135027e625c', class: containerClasses }, h("nav", { key: '3ea6eefa300e4e7207ee9ea6f33d832b73089fec', ref: (el) => (this._containerElement = el), class: classes, role: "menubar" }, this.mobile && (h("div", { key: '72c1fca035c1daa2f3343bc0be73121db17f8dde', class: "c-side-navigation__burger" }, h("c-icon-button", { key: '3bf4f02c9413244f457b34e46014ca2fc2a7e5d5', text: true, inverted: true, onClick: () => this._closeMenu() }, h("span", { key: '717ec7f476ead0e4f587ff0f5e605d5f253b2313', class: "visuallyhidden" }, "Close sidemenu"), h("c-icon", { key: '5618860c176a3cdab9d9f61296fa4a2fbff7abe2', path: mdiArrowRight })))), h("div", { key: 'a913ef3f51e33c4a3c75d9ba2e1b20bb95707293', class: {
                'c-side-navigation__wrapper': true,
                'c-side-navigation__wrapper--mobile': !!this.mobile,
            } }, h("slot", { key: '5f49917e05cce01e40a4ee956616b6a906fc5a47' }), h("div", { key: 'ef2d8c5a734e3c03685259f2afc906d4a91c22b4', class: "vertical-spacer" }), h("slot", { key: '63e03f24f76aa310f674ded85a0be81d2fa8a432', name: "bottom" })))), this.menuVisible && this.mobile && (h("div", { key: '3a51049487f8b8bad81e0cd8760a1bd12ed8af78', class: "c-overlay c-fade-in", onClick: () => this._closeMenu() }))));
    }
    get host() { return this; }
    static get style() { return cSideNavigationCss; }
}, [1, "c-side-navigation", {
        "styles": [16],
        "mobile": [4],
        "menuVisible": [1028, "menu-visible"]
    }, [[0, "itemChange", "handleChange"]]]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-side-navigation", "c-badge", "c-icon", "c-icon-button", "c-ripple", "c-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "c-side-navigation":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CSideNavigation$1);
            }
            break;
        case "c-badge":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "c-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "c-icon-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "c-ripple":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "c-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CSideNavigation = CSideNavigation$1;
const defineCustomElement = defineCustomElement$1;

export { CSideNavigation, defineCustomElement };
//# sourceMappingURL=c-side-navigation.js.map

//# sourceMappingURL=c-side-navigation.js.map