import { p as proxyCustomElement, H, c as createEvent, h, d as Host } from './p-Fv9YCUj3.js';
import { d as defineCustomElement$2 } from './p-DEHCeGjr.js';

const cSwiperTabCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host(c-swiper-tab){--_c-swiper-tab-background-color-active:var(--c-swiper-tab-background-color-active, var(--c-primary-600));--_c-swiper-tab-background-color-disabled:var(--c-swiper-tab-background-color-disabled, var(--c-tertiary-100));--_c-swiper-tab-background-color:var(--c-swiper-tab-background-color, var(--c-primary-200));--_c-swiper-tab-hover-color:var(--c-swiper-tab-hover-color, var(--c-primary-100));--_c-swiper-tab-text-color-active:var(--c-swiper-tab-text-color-active, var(--c-white));--_c-swiper-tab-text-color-disabled:var(--c-swiper-tab-text-color-disabled, var(--c-tertiary-600));--_c-swiper-tab-text-color:var(--c-swiper-tab-text-color, var(--c-primary-600));border-radius:8px;width:100%;height:100%;outline:none;text-decoration:none;user-select:none;display:grid;align-content:stretch;padding:4px;background-color:transparent;border:none}:host(:focus){outline:2px var(--_c-swiper-tab-background-color-active) solid;outline-offset:-2px}@supports selector(:focus-visible){:host(:focus){outline:none}}:host(:focus-visible){outline:2px var(--_c-swiper-tab-background-color-active) solid;outline-offset:-2px}.c-swiper-tab{height:100%}.c-swiper-tab:hover:not(.c-swiper-tab--active):not(.c-swiper-tab--disabled) .c-swiper-tab__content{background-color:var(--_c-swiper-tab-hover-color)}.c-swiper-tab__content{border-radius:6px;background-color:var(--_c-swiper-tab-background-color);color:var(--_c-swiper-tab-text-color);cursor:pointer;transition:background-color 0.2s ease-in-out;display:grid;gap:4px;grid-template-columns:1fr;line-height:1.5;padding:16px;align-content:start;position:relative;overflow:hidden;height:100%}.c-swiper-tab__header{line-height:38px;font-size:24px;display:grid;grid-template-columns:1fr auto;gap:16px}.c-swiper-tab__description{align-items:start;opacity:0.67}.c-swiper-tab--disabled .c-swiper-tab__content{background:var(--_c-swiper-tab-background-color-disabled);color:var(--_c-swiper-tab-text-color-disabled);cursor:default !important;pointer-events:none}.c-swiper-tab--active .c-swiper-tab__content{background-color:var(--_c-swiper-tab-background-color-active);color:var(--_c-swiper-tab-text-color-active);pointer-events:none}.c-swiper-tab--active .c-swiper-tab__content:hover{background-color:var(--_c-swiper-tab-background-color-active)}.c-swiper-tab svg{fill:currentColor;height:38px;width:38px}";

const CSwiperTab$1 = proxyCustomElement(class CSwiperTab extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.changeValue = createEvent(this, "changeValue", 7);
        this.disabled = false;
        this.active = false;
    }
    onTabClick(event) {
        if (this.active || this.disabled)
            return;
        this._rippleElement.createRipple(event, this._container);
        this.changeValue.emit(this.value);
    }
    render() {
        const classes = {
            'c-swiper-tab': true,
            'c-swiper-tab--active': !this.disabled && this.active,
            'c-swiper-tab--disabled': this.disabled,
        };
        const a11y = {
            'aria-selected': this.active ? 'true' : 'false',
            'aria-setsize': this.setsize,
            'aria-posinset': this.position,
            tabindex: this.active ? 0 : -1,
        };
        return (h(Host, Object.assign({ key: '3dbe445aaff07ede2070a14f032b52aca37ddf4c' }, a11y, { role: "tab" }), h("div", { key: 'acf35d9a5137175b09e63f137544b12541a4b5d6', id: this.hostId, class: classes }, h("div", { key: 'e2c0bfa034b78e7573467cdacfcff4d21c283d8c', class: "c-swiper-tab__content", ref: (el) => (this._container = el) }, h("div", { key: 'd6e94f1587b6f551d226e23d16685c9e16872f12', class: "c-swiper-tab__header" }, this.label, h("slot", { key: 'a158f8740fea910225134b197ad3b7ce3af763ae', name: "icon" })), h("div", { key: '82c9cd50f88f226898d94625d7ec5a6c693ccf07', class: "c-swiper-tab__description" }, h("slot", { key: '8d8369663a75ea6f5a66851948e8cf23a2f809ae' })), h("c-ripple", { key: '24ceb0bd3b3ca343c273647d0e1a0ff46e61f52b', ref: (el) => (this._rippleElement = el) })))));
    }
    get el() { return this; }
    static get style() { return cSwiperTabCss; }
}, [1, "c-swiper-tab", {
        "disabled": [4],
        "active": [4],
        "label": [1],
        "hostId": [1, "id"],
        "setsize": [2],
        "position": [2],
        "value": [8]
    }, [[1, "click", "onTabClick"]]]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-swiper-tab", "c-ripple"];
    components.forEach(tagName => { switch (tagName) {
        case "c-swiper-tab":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CSwiperTab$1);
            }
            break;
        case "c-ripple":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CSwiperTab = CSwiperTab$1;
const defineCustomElement = defineCustomElement$1;

export { CSwiperTab, defineCustomElement };
//# sourceMappingURL=c-swiper-tab.js.map

//# sourceMappingURL=c-swiper-tab.js.map