import { p as proxyCustomElement, H, c as createEvent, h, d as Host } from './p-Fv9YCUj3.js';

const cTabItemCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-tab-item-padding:var(--c-tab-item-padding, 16px 0 0 0);display:block;min-width:100%;user-select:none}:host>div{padding:var(--_c-tab-item-padding)}:host([active=true]){height:calc-size(auto, size);user-select:auto}:host([active=false])>div{display:none}:host([disabled=true]){min-width:0;width:0;overflow:hidden}";

const CTabItem$1 = proxyCustomElement(class CTabItem extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.contentChange = createEvent(this, "contentChange", 7);
        this.active = false;
    }
    componentDidLoad() {
        this._resizeObserver = new ResizeObserver(() => {
            this._handleResize();
        });
        this._resizeObserver.observe(this.el.shadowRoot.querySelector('div'));
    }
    disconnectedCallback() {
        var _a;
        (_a = this._resizeObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    }
    _handleResize() {
        this.contentChange.emit();
    }
    render() {
        const attributes = {
            role: 'tabpanel',
        };
        return (h(Host, Object.assign({ key: 'cb97fdbbc89518e790e7e34216b3017f1331cfa2' }, attributes), h("div", { key: '435a5e7399c5d9ac686eccee700d750282c39ab3', class: { active: this.active } }, h("slot", { key: 'fff8a0898cc549ad24cb430bcb27f0625ccba803' }))));
    }
    get el() { return this; }
    static get style() { return cTabItemCss; }
}, [1, "c-tab-item", {
        "value": [8],
        "active": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-tab-item"];
    components.forEach(tagName => { switch (tagName) {
        case "c-tab-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CTabItem$1);
            }
            break;
    } });
}

const CTabItem = CTabItem$1;
const defineCustomElement = defineCustomElement$1;

export { CTabItem, defineCustomElement };
//# sourceMappingURL=c-tab-item.js.map

//# sourceMappingURL=c-tab-item.js.map