import { p as proxyCustomElement, H, c as createEvent, h, d as Host } from './p-Fv9YCUj3.js';
import { d as defineCustomElement$2 } from './p-DEHCeGjr.js';

const cTabCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-tab-border-color-active:var(--c-tab-border-color-active, var(--_c-tab-text-color));--_c-tab-background-color-hover:var(--c-tab-background-color-hover, var(--c-primary-100));--_c-tab-outline-color:var(--c-tab-outline-color, var(--_c-tab-text-color));--_c-tab-text-color:var(--c-tab-text-color, var(--c-primary-600));display:block;user-select:none;min-width:min-content;flex-grow:1}:host div.c-tab__content{align-items:center;justify-content:center;display:flex;height:100%;width:100%;max-width:100%;overflow:hidden;padding-inline:12px;position:relative;text-overflow:ellipsis;white-space:nowrap}:host(:focus){outline:none}:host(:focus-visible){border-radius:4px;outline:2px var(--_c-tab-outline-color) solid;outline-offset:2px}:host([role=tab][aria-disabled=true]){cursor:default !important}slot{pointer-events:none}:host(.c-tab){align-items:center;color:var(--_c-tab-text-color);cursor:pointer;display:inline-flex;font-weight:600;height:52px;justify-content:center;overflow:hidden;position:relative}:host(.c-tab:hover){background-color:var(--_c-tab-background-color-hover)}:host(.c-tab--active:hover){background-color:transparent !important}:host(.c-tab--disabled){color:var(--c-tertiary-500);cursor:default;opacity:0.75;pointer-events:none}:host(.c-tab button){appearance:none;background-color:transparent;border:none;color:inherit;cursor:inherit;font-family:inherit;font-size:inherit;font-weight:inherit;height:100%;overflow:hidden;position:relative;width:100%}";

const CTab$1 = proxyCustomElement(class CTab extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.tabChange = createEvent(this, "tabChange", 7);
        this.tabFocus = createEvent(this, "tabFocus", 7);
        this.active = false;
        this.disabled = false;
        this._onClick = (event, center = false) => {
            if (this.disabled)
                return;
            this._rippleElement.createRipple(event, this.element, center);
            this.tabChange.emit({ value: this.value, element: this.element });
        };
    }
    onTabFocus() {
        this.tabFocus.emit(this.value);
    }
    handleKeydown(event) {
        if (['Space', 'Enter'].includes(event.code)) {
            event.preventDefault();
            this._onClick(event, true);
        }
    }
    render() {
        const classes = {
            'c-tab': true,
            'c-tab--active': this.active,
            'c-tab--disabled': this.disabled,
        };
        const a11y = {
            'aria-disabled': this.disabled.toString(),
            'aria-hidden': this.disabled.toString(),
            'aria-selected': this.active.toString(),
            'aria-setsize': this.setsize,
            'aria-posinset': this.position,
            role: 'tab',
            tabindex: this.active && !this.disabled ? 0 : -1,
        };
        return (h(Host, Object.assign({ key: '580df1cd1a986e22b62b246c20b7fb70944ff5c9' }, a11y, { id: this.hostId, "data-value": this.value, class: classes, onClick: this._onClick }), h("div", { key: 'b9d2f3c21a5956da16793e49e96606fd2bb870b2', class: "c-tab__content" }, h("slot", { key: 'f3ebf35769eda15f880f2233d7df8840806a6715' })), h("c-ripple", { key: 'fcb039ef2716a2a452427e6321c185cb44f828f7', ref: (el) => (this._rippleElement = el) })));
    }
    get element() { return this; }
    static get style() { return cTabCss; }
}, [1, "c-tab", {
        "active": [4],
        "disabled": [4],
        "hostId": [1, "id"],
        "position": [2],
        "setsize": [2],
        "value": [8]
    }, [[1, "focus", "onTabFocus"], [1, "keydown", "handleKeydown"]]]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-tab", "c-ripple"];
    components.forEach(tagName => { switch (tagName) {
        case "c-tab":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CTab$1);
            }
            break;
        case "c-ripple":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const CTab = CTab$1;
const defineCustomElement = defineCustomElement$1;

export { CTab, defineCustomElement };
//# sourceMappingURL=c-tab.js.map

//# sourceMappingURL=c-tab.js.map