import { p as proxyCustomElement, H, h } from './p-Fv9YCUj3.js';

const cCardActionsCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{display:block}:host menu{margin:0;padding:0}:host footer{padding:0 var(--_c-card-gap, 24px)}.c-card-actions{align-items:center;display:flex;gap:8px}.c-card-actions ::slotted(c-button[fit]){flex:1}.c-card-actions--align-center{align-items:center}.c-card-actions--align-start{align-items:flex-start}.c-card-actions--align-end{align-items:flex-end}.c-card-actions--justify-center{justify-content:center}.c-card-actions--justify-end{justify-content:flex-end}.c-card-actions--justify-start{justify-content:flex-start}.c-card-actions--justify-stretch{justify-content:stretch}.c-card-actions--justify-stretch ::slotted(*){flex:1}.c-card-actions--justify-space-between{justify-content:space-between}.c-card-actions--justify-space-around{justify-content:space-around}";

const CCardActions = proxyCustomElement(class CCardActions extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.align = 'center';
        this.justify = 'start';
    }
    render() {
        const classes = {
            'c-card-actions': true,
            [`c-card-actions--align-${this.align}`]: true,
            [`c-card-actions--justify-${this.justify}`]: true,
        };
        return (h("footer", { key: '1644d83ad19add11566841822b6da6328e563ec9' }, h("menu", { key: '33ec53400fa5bcacbcaf9cd8a8c57b75f9079658', class: classes }, h("slot", { key: '412960bdda2bdc07b1c94158f410736e453fb005' }))));
    }
    static get style() { return cCardActionsCss; }
}, [1, "c-card-actions", {
        "align": [1],
        "justify": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-card-actions"];
    components.forEach(tagName => { switch (tagName) {
        case "c-card-actions":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CCardActions);
            }
            break;
    } });
}

export { CCardActions as C, defineCustomElement as d };
//# sourceMappingURL=p-BUcGIY5c.js.map

//# sourceMappingURL=p-BUcGIY5c.js.map