import { p as proxyCustomElement, H, c as createEvent, h, d as Host } from './p-Fv9YCUj3.js';
import { d as defineCustomElement$1 } from './p-BJVLvFq9.js';

const cInputCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host(c-input){--_c-input-inactive-color:var(--c-tertiary-600);--_c-input-active-color:var(--c-primary-600);--_c-input-background-color:var(--c-transparent);--_c-input-text-color:var(--c-text-body);--_c-input-placeholder-color:var(--c-tertiary-400);--_c-input-shadow-active-color:var(--_c-input-active-color);--_c-input-shadow-background-color:var(--c-white);--_c-input-shadow-text-color:var(--_c-input-text-color);--_c-input-shadow-placeholder-color:var(--_c-input-placeholder-color);--_c-input-label-color:var(--_c-input-label-color);--_c-input-error-color:var(--c-error-600)}.visuallyhidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}.c-input{--_c-input-border-width:1px;align-items:flex-start;border-radius:4px;display:flex;flex:1 1 auto;font-family:var(--c-font-family);font-size:16px;letter-spacing:normal;max-width:100%;text-align:left}.c-input label{color:var(--_c-input-inactive-color)}.c-input input,.c-input select,.c-input textarea{background:none;border:0;display:inline-block;font-family:var(--c-font-family);font-size:16px;line-height:1;margin:0;padding:0;vertical-align:middle;white-space:normal}.c-input input,.c-input textarea{box-sizing:content-box;background-color:transparent;border:none;color:var(--_c-input-text-color);flex:1 1 auto;font-family:var(--c-font-family);font-size:16px;line-height:20px;max-width:100%;min-width:0;width:100%}.c-input input[type=checkbox],.c-input input[type=radio],.c-input select{box-sizing:border-box}.c-input input[type=search]{appearance:textfield;box-sizing:content-box}.c-input ::-webkit-search-decoration{display:none}.c-input textarea{margin-top:4px;min-height:44px;overflow:auto;padding:8px 12px 8px 0;resize:vertical;vertical-align:top;white-space:pre-wrap}.c-input input{max-height:32px;padding:8px 0}.c-input input:focus,.c-input input:active,.c-input input[aria-expanded=true],.c-input textarea:focus,.c-input textarea:active{outline:none}.c-input .c-input__content{align-items:center;display:flex;width:100%}.c-input .c-input__content slot{display:none}.c-input .c-input__content c-icon-button{aspect-ratio:1;margin-right:-6px}.c-input__control{border-radius:inherit;color:currentColor;display:flex;flex-flow:column wrap;flex-grow:1;gap:8px;height:auto;min-width:0;width:100%;position:relative}.c-input__slot{align-items:stretch;background:transparent;border-radius:inherit;color:inherit;cursor:text;display:flex;min-height:44px;padding:0 12px;position:relative;transition:0.3s cubic-bezier(0.25, 0.8, 0.5, 1);width:100%}.c-input__field{align-items:center;display:flex;flex:1 1 auto;gap:8px;position:relative}.c-input__field input,.c-input__field textarea{flex:1;outline:0}.c-input__field label{font-size:16px;height:20px;left:0;letter-spacing:normal;line-height:20px;max-width:90%;min-height:8px;overflow:hidden;pointer-events:none;position:absolute;right:auto;text-overflow:ellipsis;top:12px;white-space:nowrap}.c-input__field label:not(.label-on-top){transform-origin:top left;transform:translateX(var(--_c-input-label-position)) translateY(0) scale(1);transition:0.3s cubic-bezier(0.25, 0.8, 0.5, 1) 0.08s}.c-input__field label span{color:var(--c-error-600)}.c-input--label-on-top{--c-message-padding:0;display:grid;gap:4px}.c-input--label-on-top input::placeholder,.c-input--label-on-top textarea::placeholder{color:var(--_c-input-placeholder-color);opacity:1}.c-input--label-on-top label{font-size:14px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;max-width:100%;color:var(--_c-input-label-color)}.c-input--label-on-top .c-input__field label{color:var(--_c-input-active-color);transform:translateY(-36px) translateX(-16px) scale(0.875)}.c-input--select input{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.c-input--select .c-input__slot{cursor:pointer}.c-input fieldset{background-color:var(--_c-input-background-color);border-collapse:collapse;border-color:var(--_c-input-inactive-color);border-radius:inherit;border-style:solid;border-width:var(--_c-input-border-width);inset:0;margin:0;padding:0 0 0 8px;pointer-events:none;position:absolute;transition-duration:0.15s;transition-property:color;transition-timing-function:cubic-bezier(0.25, 0.8, 0.25, 1)}.c-input fieldset legend{float:none;line-height:11px;margin-left:-1px;padding:0;text-align:left;transition:width 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);width:0}.c-input fieldset legend.active:not(.label-on-top){width:var(--_c-input-legend-width)}.c-input--shadow .c-input__slot{background-color:var(--_c-input-shadow-background-color);box-shadow:rgba(0, 0, 0, 0.15) 0 5px 15px 0}.c-input--shadow .c-input__slot input,.c-input--shadow .c-input__slot textarea{color:var(--_c-input-shadow-text-color)}.c-input--shadow .c-input__slot:focus-within{outline:2px var(--_c-input-active-color) solid}.c-input--shadow .c-input__slot:focus-within c-icon{--c-icon-color:var(--_c-input-shadow-active-color) !important}.c-input--shadow input::placeholder,.c-input--shadow textarea::placeholder{color:var(--_c-input-shadow-placeholder-color);opacity:1}.c-input--disabled{opacity:0.75}.c-input--disabled input,.c-input--disabled textarea,.c-input--disabled fieldset,.c-input--disabled label{--_c-input-error-color:var(--c-tertiary-500);color:var(--c-tertiary-500)}.c-input--disabled .c-input__slot,.c-input--disabled .c-input__slot *{cursor:not-allowed !important}.c-input--textarea .c-input__field{margin-right:-12px}.c-input ::placeholder{color:var(--_c-input-placeholder-color);opacity:1}.c-input:focus-within,.c-input--active,.c-input:not(.c-input--disabled):active{--_c-input-border-width:2px;color:var(--_c-input-active-color)}.c-input:focus-within fieldset,.c-input--active fieldset,.c-input:not(.c-input--disabled):active fieldset{border-color:var(--_c-input-active-color)}.c-input:focus-within label:not(.label-on-top),.c-input--active label:not(.label-on-top),.c-input:not(.c-input--disabled):active label:not(.label-on-top){color:var(--_c-input-active-color);transform:translateX(0) translateY(-18px) scale(0.75)}.c-input:focus-within legend:not(.label-on-top),.c-input--active legend:not(.label-on-top),.c-input:not(.c-input--disabled):active legend:not(.label-on-top){width:var(--_c-input-legend-width)}.c-input label:not(.label-on-top).filled{transform:translateX(0) translateY(-18px) scale(0.75)}.c-input.active:not(.filled) .c-input-menu__input{position:relative}.c-input.active:not(.filled) .c-input-menu__input::after{display:flex;align-items:center;position:absolute;inset:0;content:attr(data-placeholder);pointer-events:none;color:var(--_c-input-placeholder-color)}.c-input--error{color:var(--c-error-600)}.c-input--error fieldset{border-color:var(--c-error-600) !important}.c-input--error label{color:var(--c-error-600) !important}.c-input--error:focus-within{color:var(--c-error-600)}";

const CInput = proxyCustomElement(class CInput extends H {
    constructor() {
        super();
        this.__registerHost();
        this.changeValue = createEvent(this, "changeValue", 3);
        this.itemClick = createEvent(this, "itemClick", 3);
        this.dropdownClose = createEvent(this, "dropdownClose", 3);
        this.active = false;
        this.automaticFocus = false;
        this.disabled = false;
        this.hideDetails = false;
        this.hint = '';
        this.itemsPerPage = 6;
        this.labelOnTop = false;
        this.max = null;
        this.min = null;
        this.readonly = false;
        this.required = false;
        this.rows = 1;
        this.shadow = false;
        this.step = null;
        this.valid = true;
        this.validate = false;
        this.validateOnBlur = false;
        this.validation = 'Required field';
        this.variant = 'text';
        this.isFocused = false;
        this.labelWidth = 0;
        this.preSlotWidth = 0;
        this.statusText = '';
        this.currentIndex = null;
        this._hasBlurred = false;
        this._debounce = null;
        this._observer = new IntersectionObserver((entries, observer) => {
            entries.forEach((entry) => {
                if (entry.isIntersecting) {
                    this._calculateElementWidths();
                    observer.unobserve(entry.target);
                }
            });
        }, { threshold: 1 });
        this._onBlur = () => {
            setTimeout(() => {
                this.isFocused = false;
                this._hasBlurred = true;
                this._onReset();
            }, 200);
        };
        this._onFocus = (click = true) => {
            var _a, _b;
            if (this.disabled)
                return;
            this.isFocused = true;
            (_a = this.inputField) === null || _a === void 0 ? void 0 : _a.focus();
            if (click) {
                (_b = this.inputField) === null || _b === void 0 ? void 0 : _b.click();
                if (this.variant === 'select') {
                    this.itemClick.emit();
                }
            }
            if (this.inputField && !this.labelOnTop) {
                this.inputField.placeholder =
                    !!this.value || !this.placeholder ? '' : this.placeholder;
            }
        };
    }
    onValidChange() {
        if (this.validateOnBlur && !this._hasBlurred)
            return;
        this._setAriaDescriptionId();
    }
    onValidationMessageChange() {
        this._updateStatusText();
    }
    onValueChange(value) {
        if (!value) {
            this._onReset();
        }
    }
    onPlaceholderChange(placeholder) {
        if (placeholder)
            this._onReset();
    }
    async reset() {
        this._onReset();
    }
    componentDidLoad() {
        var _a, _b, _c, _d;
        if (this.automaticFocus) {
            setTimeout(() => {
                this._onFocus(false);
            }, 500);
        }
        this._calculateElementWidths();
        this._setAriaDescriptionId();
        if (this.label) {
            this._observer.observe(this._labelRef);
        }
        (_a = this.inputField) === null || _a === void 0 ? void 0 : _a.addEventListener('focus', () => this._onFocus(false));
        (_b = this.inputField) === null || _b === void 0 ? void 0 : _b.addEventListener('blur', () => this._onBlur());
        (_c = this.inputField) === null || _c === void 0 ? void 0 : _c.addEventListener('keypress', this._preventNonNumericalInput);
        if (this.inputField && !this.labelOnTop) {
            this.inputField.placeholder =
                !!this.label || !this.placeholder ? '' : this.placeholder;
            this.inputField.title = (_d = this.label) !== null && _d !== void 0 ? _d : this.placeholder;
            requestAnimationFrame(() => {
                const container = this.inputField.closest('.c-input-menu__input');
                if (!container)
                    return;
                container.dataset.placeholder = this.placeholder;
            });
        }
        if (this.labelOnTop && this.placeholder && this.inputField) {
            this.inputField.placeholder = this.placeholder;
        }
    }
    disconnectedCallback() {
        var _a, _b, _c, _d;
        (_a = this.inputField) === null || _a === void 0 ? void 0 : _a.removeEventListener('focus', () => this._onFocus(false));
        (_b = this.inputField) === null || _b === void 0 ? void 0 : _b.removeEventListener('blur', () => this._onBlur());
        (_c = this.inputField) === null || _c === void 0 ? void 0 : _c.removeEventListener('keypress', this._preventNonNumericalInput);
        this._observer.disconnect();
        (_d = this._dropdownElement) === null || _d === void 0 ? void 0 : _d.remove();
    }
    get isActive() {
        return !!this.value || typeof this.value === 'boolean' || this.isFocused;
    }
    _setAriaDescriptionId() {
        this.inputField.removeAttribute('aria-describedby');
        let type = null;
        if (this.valid && !this.value && this.hint) {
            type = 'hint';
        }
        if (!this.valid) {
            type = 'error';
        }
        if (type) {
            this.inputField.setAttribute('aria-describedby', `${type}-${this.inputId}`);
        }
    }
    _calculateElementWidths() {
        this.labelWidth = !!this.label ? this._labelRef.scrollWidth * 0.75 + 6 : 0;
        this.preSlotWidth = this.inputField.offsetLeft;
    }
    _onReset() {
        requestAnimationFrame(() => {
            if (this.inputField && !this.labelOnTop) {
                if (!!this.placeholder &&
                    !this.value &&
                    (this.active || this.isFocused)) {
                    this.inputField.placeholder = this.placeholder;
                    return;
                }
                this.inputField.placeholder =
                    !this.label && !this.value && !!this.placeholder
                        ? this.placeholder
                        : '';
            }
        });
    }
    _preventNonNumericalInput(event) {
        if (this.type !== 'number')
            return;
        if (!event.key.match(/^[0-9,\.-]+$/)) {
            event.preventDefault();
        }
    }
    _renderBorders() {
        if (this.shadow)
            return;
        const classes = {
            active: this.isActive || this.active,
            'label-on-top': this.labelOnTop,
        };
        return (h("fieldset", { "aria-hidden": "true" }, h("legend", { class: classes, style: {
                '--_c-input-legend-width': this.labelWidth + 'px',
            } }, h("span", { class: "notranslate" }))));
    }
    _renderLabel() {
        if (!this.label)
            return;
        const classes = {
            active: this.isActive,
            filled: !!this.value || typeof this.value === 'boolean',
            'label-on-top': this.labelOnTop,
        };
        return (h("label", { htmlFor: this.inputId, ref: (el) => (this._labelRef = el), class: classes }, this.label, this.required && h("span", null, "\u00A0*")));
    }
    get inputField() {
        var _a;
        return (_a = this.el) === null || _a === void 0 ? void 0 : _a.querySelector('.c-input__input');
    }
    _updateStatusText() {
        if (this._debounce !== null) {
            clearTimeout(this._debounce);
            this._debounce = null;
        }
        this._debounce = window.setTimeout(() => {
            this.statusText = this.valid ? '' : `Error: ${this.validation}`;
            this._debounce = null;
        }, 1400);
    }
    render() {
        const containerClasses = {
            'c-input': true,
            'c-input--disabled': this.disabled,
            'c-input--shadow': this.shadow,
            'c-input--label-on-top': this.labelOnTop,
            'c-input--textarea': this.rows > 1,
            'c-input--error': !this.valid,
            'c-input--active': this.isFocused || this.active,
            filled: !!this.value,
            [`c-input--${this.variant}`]: true,
        };
        return (h(Host, { key: '2fdc7e237b1e2b0837e72510ddb8240b2ed15198', disabled: this.disabled }, h("div", { key: '3f1128cf26da49d0eab24e688d74d5a6e417d195', id: 'announce-' + this.inputId, class: "visuallyhidden", "aria-live": "polite", "aria-atomic": "true" }, this.statusText), h("div", { key: 'bc79e784977c38b2cd8d80a649da95d10ffff11d', class: containerClasses }, this.labelOnTop && this._renderLabel(), h("div", { key: 'dd56297fba8a8e9d772f2ae49292b0a1fb195eff', class: "c-input__control" }, h("div", { key: '0a193e025daa0832c4cb36c107b25836a583a629', class: "c-input__slot", onClick: () => this._onFocus() }, this._renderBorders(), h("div", { key: '17c694469e8d6ee7a48d69d45ab05136bf46c2d2', class: "c-input__field", style: {
                '--_c-input-label-position': this.preSlotWidth + 'px',
            } }, h("slot", { key: '91427605d55129e2f804fc2b8bf2e0ab747e151f', name: "pre" }), !this.labelOnTop && this._renderLabel(), h("slot", { key: '1ed436ada4e6dbe6e88805422ef61aaee09c30ba' }))), this.variant === 'select' && h("slot", { key: '232f92cbeb9ca7730efc488b393886058ce71148', name: "dropdown" }), !this.hideDetails && (h("c-message", { key: 'd66d4192a8636ddd90fc9ec2e3638e9e9b54d69a', hint: this.hint, inputId: this.inputId, valid: this.valid, validation: this.validation }))))));
    }
    get el() { return this; }
    static get watchers() { return {
        "valid": ["onValidChange"],
        "validation": ["onValidationMessageChange"],
        "value": ["onValueChange"],
        "placeholder": ["onPlaceholderChange"]
    }; }
    static get style() { return cInputCss; }
}, [4, "c-input", {
        "active": [4],
        "automaticFocus": [4, "autofocus"],
        "disabled": [4],
        "hideDetails": [4, "hide-details"],
        "hint": [1],
        "hostId": [1, "id"],
        "inputId": [1, "input-id"],
        "items": [16],
        "itemsPerPage": [2, "items-per-page"],
        "label": [1],
        "labelOnTop": [4, "label-on-top"],
        "max": [2],
        "min": [2],
        "name": [1],
        "placeholder": [1],
        "readonly": [4],
        "required": [4],
        "rows": [2],
        "shadow": [4],
        "step": [2],
        "type": [1],
        "valid": [4],
        "validate": [4],
        "validateOnBlur": [4, "validate-on-blur"],
        "validation": [1],
        "value": [8],
        "variant": [1],
        "isFocused": [32],
        "labelWidth": [32],
        "preSlotWidth": [32],
        "statusText": [32],
        "currentIndex": [32],
        "reset": [64]
    }, undefined, {
        "valid": ["onValidChange"],
        "validation": ["onValidationMessageChange"],
        "value": ["onValueChange"],
        "placeholder": ["onPlaceholderChange"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-input", "c-message"];
    components.forEach(tagName => { switch (tagName) {
        case "c-input":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CInput);
            }
            break;
        case "c-message":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { CInput as C, defineCustomElement as d };
//# sourceMappingURL=p-Bz0xxOlq.js.map

//# sourceMappingURL=p-Bz0xxOlq.js.map