import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';

const cSpinnerCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host{--_c-spinner-color:var(--c-spinner-color, var(--c-color));--_c-spinner-size:var(--c-size);--_c-spinner-width:var(--c-width);display:block;height:var(--_c-spinner-size);width:var(--_c-spinner-size)}:host(.c-spinner) svg{fill:var(--_c-spinner-color);height:var(--_c-spinner-size);overflow:visible;width:var(--_c-spinner-size)}:host(.c-spinner) svg circle{animation:spinner 2.5s linear infinite;fill:transparent;stroke-dasharray:calc(3.14 * var(--_c-spinner-size));stroke-linecap:round;stroke-width:var(--_c-spinner-width);stroke:var(--_c-spinner-color);transform-origin:calc(0.5px * var(--_c-spinner-size)) calc(0.5px * var(--_c-spinner-size)) 0}@keyframes spinner{0%{transform:rotate(0deg);stroke-dashoffset:calc(0.66 * var(--_c-spinner-size))}50%{transform:rotate(720deg);stroke-dashoffset:calc(3.14 * var(--_c-spinner-size))}100%{transform:rotate(1080deg);stroke-dashoffset:calc(0.66 * var(--_c-spinner-size))}}";

const CSpinner = proxyCustomElement(class CSpinner extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.color = 'var(--c-primary-600)';
        this.size = 24;
        this.width = 2;
    }
    render() {
        const iconParams = {
            cx: this.size / 2,
            cy: this.size / 2,
            r: this.size / 2 - 2,
        };
        const style = {
            '--c-size': `${this.size}px`,
            '--c-width': `${this.width}px`,
            '--c-color': this.color,
        };
        return (h(Host, { key: 'efe40e6b92dda652ea62cc2fe740bd1eb55c0d45', class: "c-spinner", style: style }, h("svg", { key: '2b3c0b6ddd22670947f5de8cb9079cc250c9b19a' }, h("circle", Object.assign({ key: '5d20ffa28666b2741631e77d367a08cfeb9c2beb' }, iconParams)))));
    }
    static get style() { return cSpinnerCss; }
}, [1, "c-spinner", {
        "color": [1],
        "size": [2],
        "width": [2]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "c-spinner":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CSpinner);
            }
            break;
    } });
}

export { CSpinner as C, defineCustomElement as d };
//# sourceMappingURL=p-D6wozX_5.js.map

//# sourceMappingURL=p-D6wozX_5.js.map