import { p as proxyCustomElement, H, h, d as Host } from './p-Fv9YCUj3.js';

const cBackdropCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}:host(c-backdrop) .c-backdrop{display:block;position:fixed;inset:0;z-index:1000;background-color:rgba(0, 0, 0, 0.5);opacity:0;pointer-events:none}:host(c-backdrop) .c-backdrop.c-backdrop--blur{backdrop-filter:blur(4px)}@media (prefers-reduced-motion: no-preference){:host(c-backdrop) .c-backdrop.opening{animation:backdrop-fadein 0.3s cubic-bezier(0.25, 0.8, 0.5, 1) forwards}:host(c-backdrop) .c-backdrop.closing{animation:backdrop-fadeout 0.3s cubic-bezier(0.25, 0.8, 0.5, 1) forwards}}@keyframes backdrop-fadein{from{opacity:0}to{opacity:1}}@keyframes backdrop-fadeout{from{opacity:1}to{opacity:0}}";

const CBackdrop = proxyCustomElement(class CBackdrop extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.disableBackdropBlur = false;
        this.blur = true;
    }
    onValueChange(value) {
        this.blur = !value;
    }
    render() {
        return (h(Host, { key: 'f7967b4eb4801a361b05df1f26b1314d090ddd64' }, h("div", { key: 'c93b3ad493209ac4d1e3e2724b47a5fe8c6d0faf', class: {
                'c-backdrop': true,
                'c-backdrop--blur': this.blur,
            } })));
    }
    static get watchers() { return {
        "disableBackdropBlur": ["onValueChange"]
    }; }
    static get style() { return cBackdropCss; }
}, [1, "c-backdrop", {
        "disableBackdropBlur": [4, "disable-backdrop-blur"],
        "blur": [32]
    }, undefined, {
        "disableBackdropBlur": ["onValueChange"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["c-backdrop"];
    components.forEach(tagName => { switch (tagName) {
        case "c-backdrop":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CBackdrop);
            }
            break;
    } });
}

export { CBackdrop as C, defineCustomElement as d };
//# sourceMappingURL=p-DoU8xThq.js.map

//# sourceMappingURL=p-DoU8xThq.js.map