import { r as registerInstance, h, H as Host, g as getElement } from './index-gSzSMY-c.js';

const cListCss = "html{box-sizing:border-box}body{margin:0}*,*:before,*:after{box-sizing:inherit;-webkit-tap-highlight-color:transparent}:host{font-family:var(--c-font-family)}::-ms-reveal{display:none}.c-list{--_c-list-gap:var(--c-list-gap, 4px);--_c-list-border-color:var(--c-list-border-color, var(--c-tertiary-200));--_c-list-border-color-active:var(--c-list-border-color-active, var(--c-primary-600));display:grid;gap:var(--_c-list-gap)}.c-list--bordered .c-list-item{border:1px solid var(--_c-list-border-color)}";

const CList = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.disabled = false;
        this.bordered = false;
    }
    onDisabledChange(disabled) {
        this._items.forEach((item) => {
            const isDisabled = item.hasAttribute('disabled') && !('disabled' in item.dataset);
            if (!isDisabled) {
                item.disabled = !!disabled;
                item.disabledByParent = !!disabled;
            }
        });
    }
    get _items() {
        return Array.from(this.el.querySelectorAll('c-list-item'));
    }
    componentDidLoad() {
        this.onDisabledChange(this.disabled);
    }
    render() {
        const classes = {
            'c-list': true,
            'c-list--disabled': this.disabled,
            'c-list--bordered': this.bordered,
        };
        return h(Host, { key: '39cd178479344225c79ac490499489d771359d19', role: "list", class: classes });
    }
    get el() { return getElement(this); }
    static get watchers() { return {
        "disabled": ["onDisabledChange"]
    }; }
};
CList.style = cListCss;

export { CList as c_list };
//# sourceMappingURL=c-list.entry.js.map

//# sourceMappingURL=c-list.entry.js.map