import { EventEmitter } from '../../stencil-public-runtime';
import { CAutocompleteItem, CSelectItem } from '../../types';
export declare class CDropdown {
    el: HTMLCDropdownElement;
    itemsPerPage: number;
    parent: HTMLCSelectElement | HTMLCAutocompleteElement;
    items: NodeListOf<HTMLCOptionElement> | CAutocompleteItem[] | CSelectItem[];
    index: number;
    hostId: string;
    selectOption: EventEmitter;
    type: 'select' | 'autocomplete';
    dropdownItemType: 'option' | 'item';
    dropdownStateChange: EventEmitter<boolean>;
    private _dialog;
    private _debounce;
    private _list;
    private _outsideClickFn;
    private _resizeObserver;
    private _inputElement;
    private _dummyElement;
    private _isMobile;
    private _listItems;
    private _originalOverflowValue;
    renderedList: any;
    isOpen: boolean;
    statusText: string;
    optionsWatcher(): void;
    stateWatcher(isOpen: any): Promise<void>;
    handleIndexChange(index: any): void;
    setStatusText(text: string): Promise<void>;
    focusItem(index: number): Promise<void>;
    open(): Promise<void>;
    close(): Promise<void>;
    private _setIsMobile;
    private _isOpening;
    private _handleOpen;
    private _disableScroll;
    private _enableScroll;
    componentDidLoad(): void;
    selectItem(index: number): Promise<boolean>;
    updateList(reset?: boolean): Promise<void>;
    private _handleOutsideClick;
    private _inputSize;
    private _openedOnTop;
    private _hideDetails;
    private _highlightMatchingText;
    private _getParentPosition;
    private _positionMenu;
    private _minimumQueryItem;
    private _emptyItem;
    private _renderList;
    private _renderOptionsList;
    private _renderItemsList;
    private _updateStatusText;
    render(): any;
}
